2009-04-15  Alexander Sack  <asac@ubuntu.com>

	* src/connection-editor/nm-connection-list.c
		- (add_done_cb): prevent assertion crash when editor dialogs are
			cancelled (lp #361115)

2009-04-04  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/helpers.c
	  src/connection-editor/helpers.h
		- Small helper to fill UI widgets from connection secrets

	* src/connection-editor/Makefile.am
	  src/connection-editor/Makefile.am
	  src/connection-editor/eap-method-leap.c
	  src/connection-editor/eap-method-simple.c
	  src/connection-editor/eap-method-tls.c
	  src/connection-editor/ws-leap.c
	  src/connection-editor/ws-wep-key.c
	  src/connection-editor/ws-wpa-psk.c
		- Handle system connection secrets too

2009-04-04  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
		- (connection_editor_validate, system_checkbutton_toggled_cb,
		   recheck_initialization): don't validate before the editor is
			all initialized; fixes issues with connection values getting
			cleared becuase validation updates the connection's settings
			too, and the UI might not be completely filled in yet until
			all pages are initialized

2009-04-04  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ce-page.c
		- (get_secrets_cb): don't mix up the PolicyKit error and the error
			that could be returned from pk_helper_obtain_auth()

2009-04-04  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/polkit-helpers.c
		- (pk_helper_obtain_auth): handle NULL PolicyKit error

2009-04-04  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-wired-security.c
		- (ce_page_wired_security_new): don't connect to the "use 802.1x"
			checkbox's 'toggled' signal here, do it after setting the
			checkbox's initial value in finish_setup().  Fixes issue
			where validation would be triggered prematurely, before the
			editor was initialized
		- (finish_setup): enable_toggled() already calls ce_page_changed()

2009-04-04  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- Send the clicked signal to the button instead of calling do_edit()
			explicitly so that the PolKitAction's code gets run; ensures
			the same codepath gets taken for double-click as for clicking
			the edit button

2009-04-03  Dan Williams  <dcbw@redhat.com>

	* Ensure PolicyKit autorization before editing system connections, and
		request secrets from the system settings service for system connections.
		This requires splitting each CEPage subclass's *_new() method into
		two parts, the first doing minimal setup, and the second filling in
		the UI with details from the backing NMConnection.  Between the first
		and second parts, if required, secrets are requested from the system
		settings service using PolicyKit.  As a bonus, actually handle errors
		instead of dropping them on the floor.

2009-03-31  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (add_connection_buttons, delete_selection_changed_cb): disable the
			delete button when the connection is read-only

2009-03-31  Dan Williams  <dcbw@redhat.com>

	* configure.ac
	  Makefile.am
		- Check D-Bus version; use different applet dbus conf files for
			D-Bus >= 1.2.6 which uses deny-by-default processing.  New
			conf file fixes issues with 'root' also being at_console,
			where at_console permissions would deny root access to 
			applet secrets

	* nm-applet.conf
		- Remove; now generated

	* nm-applet-pre-dbus-126.conf
		- D-Bus config for dbus < 1.2.6

	* nm-applet-dbus-126.conf
		- D-Bus config for dbus >= 1.2.6 (from Tambet)

2009-03-26  Dan Williams  <dcbw@redhat.com>

	* nm-applet.conf
		- Explicitly allow 'root' to talk to the secrets interface.  Fixes a bug exposed
			in SUSE ConsoleKit packages that always treated 'root' as at_console when
			logged in once; when using explicit denials (which we're using here to
			ensure we don't expose distros shipping older D-Bus packages) and when
			permissions may overlap, as in the case of root being at_console, there
			needs to be an explicit allow in the right section too.  Thus when root is
			'at_console', root will still have access to secrets due to the explicit
			allow in the user=root section.

2009-03-20  Alexander Sack <asac@ubuntu.com>

	* src/applet.c
	  src/applet.h
		- (constructor): check whether the notification server supports
			actions
		- (applet_do_notify): don't set a notification if the notification
			server doesn't support them

2009-03-10  Claude Paroz  <claude@2xlibre.net>

	* src/connection-editor/ce-page-ppp.glade
	    - Remove translatable property on stock labels
	
	* src/connection-editor/page-ppp.c
	    - Add translator comment for 'none' string

2009-03-03  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/nma-gconf-connection.c
		- CVE-2009-0578: restrict connection changes to applet user
		- (update, do_delete, is_user_authorized):  check UID of dbus request

2009-03-03  Dan Williams  <dcbw@redhat.com>

	* nm-applet.conf
		- CVE-2009-0365: only allow root to get secrets

2009-02-19  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-peap.c
		- Allow forcing PEAP v0 as well; default to "Automatic" PEAP
			version (rh #468844)

2009-02-18  Dan Williams  <dcbw@redhat.com>

	Patch by paolo borelli <pborelli@katamail.com>

	* src/applet.c
	  src/gconf-helpers/gconf-upgrade.c
	  src/wireless-dialog.c
		- Fix some memory leaks (bgo #570869)

2009-02-18  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (ICON_LOAD): don't segfault if err is NULL (bgo #548062)
		- (finalize): dispose of the settings proxies after disposing
			of the NMClient so that the new-ap-notification stuff
			in applet-device-wifi.c does log errors when disposing
			of its data
		- (constructor): ensure the missing gladefile warning dialog sticks around
		- (nma_icons_load): ensure the missing icon warning dialog sticks around

	* src/applet-dialogs.c
	  src/applet-dialogs.h
		- (applet_warning_dialog_show): return the dialog object so the caller
			can do something useful with it (like gtk_dialog_run()); fix
			focus-stealing prevention, and set a title and icon

	* src/main.c
		- Pass the mainloop to the applet

2009-02-17  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_clear_keyring_items): clear keyring items for a
			connection

	* src/connection-editor/nm-connection-list.c
		- (remove_connection): clear keyring items when removing a user connection

2009-02-17  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method.c
	  src/wireless-security/eap-method.h
		- Consolidate CA certificate nag dialog handling in the EAP method
			to get correct dialog destruction and reduce code.  Fixes crash
			when nag dialog would come up the second time.

	* src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-peap.h
	  src/wireless-security/eap-method-tls.c
	  src/wireless-security/eap-method-tls.h
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method-ttls.h
		- Move CA certificate nag dialog handling to EAPMethod class

	* src/applet-device-wifi.c
		- (wireless_dialog_response_cb, get_secrets_dialog_response_cb):
			don't destroy nag dialog with parent; the EAP method object
			takes care of destruction for us

2009-02-16  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/gconf-upgrade.h
	  src/gconf-helpers/gconf-helpers.c
		- (nm_gconf_migrate_0_7_autoconnect_default): update autoconnect
			GConf entries to preserve behavior now that autoconnect
			defaults to TRUE in libnm-util

2009-02-16  Alexander Sack  <asac@ubuntu.com>

	* src/applet.c
		- (nma_menu_show_cb, nma_menu_deactivate_cb, applet_update_icon):
			use gtk_status_icon_set_tooltip_text() on GTK+ >= 2.15

2009-02-13  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
		- (add_one_ap_menu_item): fix max signal strength calculation with
			 multiple APs of the same SSID (rh #475123)

2009-02-12  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/vpn-helpers.c
		- (export_vpn_to_file_cb): fix export validtity checks (rh #480496)

2009-02-12  Dan Williams  <dcbw@redhat.com>

	* icons/
		- Fix fallout from icon move; install icons to the right directories

2009-02-12  Dan Williams  <dcbw@redhat.com>

	* icons/
		- Reorganize icons into directories for each size, and replace
			nm-no-connection and nm-device-wired icons with less-ugly
			ones from the Gnome icon theme (network-idle and
			network-offline)

2009-02-06  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/connection-editor.c
		- (nm_connection_editor_set_connection): add IPv4 tab for DSL and Mobile
			Broadband to allow users to override/amend DNS settings

2009-02-06  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (method_changed): hide options for cases where they don't apply (like
			Manual addressing or DHCP for Mobile Broadband)

2009-02-06  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ppp.c
		- (ce_page_ppp_new): shorten PPP page tabe name

2009-02-06  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (method_changed): disable "DHCP Client ID" entry for VPN connections

2009-02-05  Dan Williams  <dcbw@redhat.com>

	* nm-applet.conf
		- Update D-Bus rules for newer D-Bus, and deny attempts for non
			at_console/non-root processes to ask for a users'
			connections which they shouldn't need anyway

2009-02-05  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_device_check_unusable): add common code for checking
			whether a device is in a usable state and creating the
			menu item for it (rh #483879)

	* src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-cdma.c
	  src/applet-device-wired.c
		- (*_add_menu_item): use nma_menu_device_check_unusable()

2009-02-04  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/nma-gconf-settings.c
		- (read_connections): kill pointless warning (rh #484136)

2009-02-01  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_get_all_connections): implement applet GConf stamping to help
			upgrades; upgrade 'never-default' in some cases

	* src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/gconf-upgrade.h
		- (nm_gconf_migrate_0_7_vpn_never_default): new function; if there were
			static routes assigned to the VPN connection, set 'never-default'
			to TRUE on upgrade to match 0.7.0 behavior

2009-01-28  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/Makefile.am
	  src/connection-editor/ppp-auth-methods-dialog.c
	  src/connection-editor/ppp-auth-methods-dialog.h
		- Add a separate dialog for configuring PPP authentication
			methods, since the defaults rarely need to be changed

	* src/connection-editor/ce-page-ppp.glade
	  src/connection-editor/page-ppp.c
		- Move PPP authentication methods to a separate dialog

2009-01-22  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ip4-routes-dialog.c
		- Validate options in the IP4 routes dialog and disable the OK
			button when entered values are invalid

2009-01-19  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (construct_vpn_banner, vpn_connection_state_changed): filter some
			HTML tags from VPN banners to better conform to the notification
			daemon specification (bgo #564511)

2009-01-19  Dan Williams  <dcbw@redhat.com>

	* nm-connection-editor.desktop.in
		- Use a more appropriate icon (preferences-system-network) instead
			of the wireless icon (bgo #563234)

2009-01-19  Przemysław Grzegorczyk  <pgrzegorczyk@gmail.com>

	* src/wireless-security/eap-method.h:
	* src/wireless-security/wireless-security.h:
	* src/polkit-helpers/polkit-gnome-action.c:
	* src/connection-editor/ce-page.h:
	* src/connection-editor/main.c:
	* src/connection-editor/mobile-wizard.c:
	* src/connection-editor/nm-connection-editor.c:
	* src/connection-editor/nm-connection-list.c:
	* src/connection-editor/nm-connection-list.h:
	* src/connection-editor/page-dsl.h:
	* src/connection-editor/page-ip4.h:
	* src/connection-editor/page-mobile.h:
	* src/connection-editor/page-ppp.h:
	* src/connection-editor/page-vpn.h:
	* src/connection-editor/page-wired-security.h:
	* src/connection-editor/page-wired.h:
	* src/connection-editor/page-wireless-security.h:
	* src/connection-editor/page-wireless.h:
	* src/ap-menu-item.h:
	* src/applet-device-cdma.c:
	* src/applet-device-gsm.c:
	* src/applet-device-wifi.c:
	* src/applet-device-wifi.h:
	* src/applet-device-wired.c:
	* src/applet-dialogs.c:
	* src/applet-dialogs.h:
	* src/applet.h:
	* src/wireless-dialog.c:
	* src/wireless-dialog.h: Cleared up gtk and glib includes
	to use only toplevel headers. Bug #564379.

2008-01-16  Tambet Ingo  <tambet@gmail.com>

	* src/gconf-helpers/nma-gconf-settings.c
		- (connection_changes_done, add_connection_real, connection_removed):
			fix handling of connections removed from GConf by external programs
			(bgo #557590)

2008-01-16  Dan Williams  <dcbw@redhat.com>

	* nm-connection-editor.c
	  nm-connection-editor.h
		- (nm_connection_editor_get_window): add accessor to editor GtkWindow

	* nm-connection-list.c
	  nm-connection-list.h
		- Pass XID of parent window to PolicyKit to ensure authorization windows
			are transient for their parent
		- Make error dialogs transient for the parent window

2008-12-19  Dan Williams  <dcbw@redhat.com>

	Patch from Drew Moseley <dmoseley@mvista.com>

	* src/applet-device-wifi.c
		- (free_ap_notification_data): remove ap notification timeout when
			freeing ap notification data

2008-12-11  Dan Williams  <dcbw@redhat.com>

	* src/ap-menu-item.c
	  src/ap-menu-item.h
		- (nm_network_menu_item_set_detail): disable the menu item if the device
			can't even connect to the AP

	* src/applet-device-wifi.c
		- (add_new_ap_item): send device capabilities to menu item

2008-12-11  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (applet_pre_keyring_callback): handle right-click menu too

2008-12-09  Dan Williams  <dcbw@redhat.com>

	* configure.ac
		- Update tarball name to match project name

2008-12-09  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
		- (other_wireless_activate_cb, new_network_activate_cb,
		   wireless_get_more_info, wireless_get_secrets): really fix focus
			stealing prevention; the window needs to be visible before trying
			to present it with an updated time, otherwise GTK just calls
			gtk_window_show() instead of setting the timestamp

2008-12-09  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (applet_pre_keyring_callback): ensure that the menu is actually
			destroyed before letting the keyring calls happen

2008-12-09  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ip4-routes-dialog.c
		- (ip4_routes_dialog_new, ip4_routes_dialog_update_setting): get and
			set never-default accordingly

	* src/connection-editor/ce-page-ip4.glade
		- Add never-default checkbox to the IP4 routes dialog

2008-12-09  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/main.c
		- (impl_start): bring connection editor window to front when it's
			launched again, if it's already started

	* src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-list.h
		- (nm_connection_list_present): no longer static

2008-12-05  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_clear_private_connection_values): new function to clear
			applet private values from a connection

	* src/connection-editor/page-wired-security.c
		- (ce_page_wired_security_new): ensure setting gets updated when
			security is changed
		- (validate): copy applet private values to the real connection when
			using 802.1x security; clear applet private values when there's no
			security

	* src/connection-editor/page-wireless-security.c
		- (validate): clear applet private values when there's no security

2008-11-26  Dan Williams  <dcbw@redhat.com>

	* Release 0.7

2008-11-26  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/nma-gconf-connection.c
		- (nma_gconf_connection_class_init): update for delete -> do_delete

2008-11-25  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/nma-gconf-connection.c
		- (nma_gconf_connection_changed): fill connection certs before functions
			that verify them, since pkcs#12 needs special client cert/private key
			handling; don't leak a connection hash

	* src/utils/utils.c
		- (utils_fill_connection_certs): handle pkcs#12 private keys and set
			client cert at the same time

2008-11-24  Dan Williams  <dcbw@redhat.com>

	Patch from Tony Houghton <h@realh.co.uk>  (bgo #455250)

	* src/applet.c
	  src/applet.h
		- (applet_do_notify_with_pref): add notification helper for connect/
			disconnect messages with a "disable me" button
		- (foo_client_state_changed_cb): add ability to disable disconnected
			notification too
		- (applet_do_notify): set default timeout for notifications

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-wired.c
		- Use applet_do_notify_connect_state()

2008-11-21  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
		- (ip4_address_as_string): use inet_ntop() instead of inet_ntoa()

2008-11-20  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
		- (vpn_helpers_save_secret): helper to save VPN secrets
		- (nm_gconf_0_6_vpnc_settings): try to convert NM-vpnc 0.6 secrets

2008-11-20  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
		- (get_06_keyring_secret): get an NM 0.6 secret from the keyring
		- (nm_gconf_read_0_6_wep_settings, nm_gconf_read_0_6_wpa_settings,
		   nm_gconf_read_0_6_eap_settings, nm_gconf_read_0_6_leap_settings,
		   nm_gconf_read_0_6_wireless_connection): attempt to convert NM 0.6
			secrets to NM 0.7 format

2008-11-20  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
		- (wireless_get_secrets): really fix focus stealing prevention for real

2008-11-20  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (read_one_setting_value_from_gconf, write_one_secret_to_keyring,
		   copy_one_setting_value_to_gconf): update for NMSettingValueIterFn
			changes	
		- (copy_one_setting_value_to_gconf): remove bits than set secrets in
			the keyring which couldn't possibly be called from here

2008-11-20  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (string_in_list): implement locally now that nm_utils_string_in_list
			was removed from libnm-util

2008-11-20  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
		- (wireless_dialog_response_cb): update for nm_setting_new_from_hash()

2008-11-19  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/nma-gconf-connection.c
	  src/applet-device-wifi.c
		- Fix up compare flag names

2008-11-19  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/nma-gconf-connection.c
		- (nma_gconf_connection_changed): handle error returned from
			nm_connection_replace_settings()

2008-11-18  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-tls.c
		- (eap_method_tls_new, revalidate): don't validate here, since the
			validation would only be for the TLS object, which may not be
			what's actually selected in the security combo

	* src/wireless-dialog.c
		- (internal_init, revalidate): instead, validate here from an idle
			handler to match revalidation done in nm-connection-editor.c.
			Fixes a bug introduced by the PKCS#12 support where the secrets
			dialog's OK button wouldn't be initially enabled

2008-11-15  Dan Williams  <dcbw@redhat.com>

	* configure.ac
	  src/Makefile.am
	  src/polkit-helpers/Makefile.am
	  src/polkit-helpers/README
	  src/polkit-helpers/polkit-gnome-action.c
	  src/polkit-helpers/polkit-gnome-action.h
	  src/polkit-helpers/polkit-gnome-auth.c
	  src/polkit-helpers/polkit-gnome-auth.h
	  src/polkit-helpers/polkit-gnome-context.c
	  src/polkit-helpers/polkit-gnome-context.h
	  src/polkit-helpers/polkit-gnome.h
		- Partial backport of PolicyKit-gnome 0.8 to PolicyKit 0.6

	* src/connection-editor/Makefile.am
	  src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
	  src/connection-editor/nm-connection-list.c
		- Use polkit-helpers

	* src/connection-editor/polkit-06-helpers.c
	  src/connection-editor/polkit-06-helpers.h
		- Remove

2008-11-15  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
		- (nm_gconf_read_0_6_wpa_settings, nm_gconf_read_0_6_eap_settings):
			fix up 0.6 GConf upgrades for WPA and LEAP

2008-11-14  Dan Williams  <dcbw@redhat.com>

	* Really tag 0.7.0-rc2

	* Makefile.am
		- Fix dist problem with translatable destkop files

2008-11-14  Dan Williams  <dcbw@redhat.com>

	* Tag 0.7.0-rc2

2008-11-14  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
		- (wireless_get_more_info): bring the secrets dialog to the front

2008-11-14  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- Pass system settings 'CanModify' property along to the connection
			editor window

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
		- (nm_connection_editor_new): track whether system settings can actually
			add conenctions or not
		- (populate_connection_ui, set_editor_sensitivity): don't enable the
			system settings checkbox if system settings can't be modified

2008-11-14  Dan Williams  <dcbw@redhat.com>

	Patch from Kelemen Gábor <kelemeng@gnome.hu>

	* Makefile.am
	  nm-applet.desktop.in
	  nm-connection-editor.desktop.in
	  po/POTFILES.in
		- Make desktop files translatable and fix up the descriptions to not
			suck (bgo #559636)

2008-11-13  Dan Williams  <dcbw@redhat.com>

	Add support for PKCS#12 private keys (bgo #558982)

	* src/utils/utils.c
		- (utils_fill_connection_certs): report errors

	* src/connection-editor/nm-connection-editor.c
		- (nm_connection_editor_set_connection): run initial validation from
			and idle handler to allow file choosers time to asynchronously
			find their files

	* src/gconf-helpers/gconf-helpers.c
		- (get_one_private_key): add private key passwords to the secrets hash
			if the private key is a pkcs#12 private key
		- (nm_gconf_get_keyring_items): move force-included private key passwords
			functionality into get_one_private_key()

	* src/wireless-security/eap-method.c
	  src/wireless-security/eap-method.h
		- (eap_method_default_file_chooser_filter_new): use differnet filters
			for private keys versus certificates, since private keys can be
			pkcs#12 and certificates cannot
		- (default_filter): split up into file_has_extension(),
			file_is_der_or_pem(), default_filter_cert(), and
			default_filter_privkey(); fix a bug where only the first 1K of a 
			candidate file would be read, missing some certificates with long
			text descriptions
		- (eap_method_validate_filepicker): take the private key password for
			validation purposes; return the certificate/key type

	* src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-ttls.c
		- Update for eap_method_validate_filepicker() changes

	* src/wireless-security/eap-method-tls.c
		- (eap_method_tls_new): handle phase2 secrets too; and do initial
			validation from and idle handler to allow file choosers time to
			asynchronously find their file
		- (setup_filepicker): connect a special handler to the private key
			chooser so that the client certificate chooser can be disabled when
			the user picks a pkcs#12 private key; additionally, work around a
			GTK+ issue where GTK would clear the choosers filter
		- (private_key_picker_helper): disable the client certificate chooser
			button when the private key is pkcs#12
		- (fill_connection): if the private key is pkcs#12, set the client
			certificate to the the same file as the private key, as NM requires
		- (validate): ignore the client certificate if the private key is
			pkcs#12

2008-11-13  Tambet Ingo  <tambet@gmail.com>

	* src/gconf-helpers/gconf-helpers.c (get_one_private_key): Set the
	GByteArray's content correctly.

2008-11-07  Dan Williams  <dcbw@redhat.com>

	Fix bgo #505211 and harmonize tooltips

	* src/applet.c
	  src/applet.h
		- (nma_menu_deactivate_cb): refresh the tooltip when the menu closes,
			since it was cleared when the menu was shown
		- (applet_common_get_device_icon): NEED_AUTH state shouldn't just show
			a disconnected icon; should do better here though in the future
		- (get_tip_for_device_state): fallback tooltips if the device class
			didn't set any
		- (get_tip_for_vpn): VPN tips
		- (applet_update_icon): show both default device and VPN tips

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-wired.c
		- Make tooltips consistent, and emphasize the actual connection which
			is being activated or is active

2008-11-06  Claude Paroz  <claude@2xlibre.net>

	* src/connection-editor/nm-connection-editor.glade:
	    - Remove translatable property on stock label.

2008-11-05  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
	  src/connection-editor/ip4-routes-dialog.c
		- Make address/route list editing less sucky by re-focusing on the next
			column in the list rather than out of the list entirely

2008-11-05  Dan Williams  <dcbw@redhat.com>

	Clear up ambiguity reported in bgo #559402

	* src/connection-editor/page-ip4.c
		- (populate_ui): show netmask, not prefix
		- (parse_netmask): slightly stricter prefix checking; use inet_pton

	* src/connection-editor/ip4-routes-dialog.c
		- (ip4_routes_dialog_new): show netmask, not prefix
		- (ip4_routes_dialog_update_setting): stricter validation of route options

2008-11-03  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-wired.c
	  src/applet.c
	  src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/nma-gconf-connection.c
	  src/vpn-password-dialog.c
		- Use detailed NMSettings errors

2008-11-03  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
		- (create_info_label, create_info_label_security, info_dialog_add_page):
			Make info items selectable (bgo #558975)

2008-11-03  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ppp.c
		- (use_mppe_toggled_cb, populate_ui): ensure changes get saved
			(bgo #559077)

2008-11-02  Dan Williams  <dcbw@redhat.com>

	* Tag 0.7.0-rc1

2008-11-02  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (find_active_device): return the active connection object instead of
			just the active connection's specific object
		- (applet_settings_new_secrets_requested_cb): pass the active connection
			to the device subclasses

	* src/applet-device-wired.c
	  src/applet-device-wifi.c
	  src/applet-device-gsm.c
	  src/applet-device-cdma.c
		- Attach any secrets dialogs to the active connection object, such that
			when the active connection object goes away the dialog also gets
			closed

2008-10-31  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/nma-gconf-connection.c
		- (update): actually save private values like cert and key paths

	* src/connection-editor/nm-connection-list.c
		- (add_connection): fill certificate and private key items before adding
			so that cert data actually gets to the system settings service
		- (update_connection): copy private values before trying to update the
			connection so that they actually get saved

2008-10-31  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_copy_private_connection_values): copy private values (like
			certificate paths and such) between connections
		- (nm_gconf_connection_duplicate): use nm_gconf_copy_private_connection_values()

	* src/connection-editor/nm-connection-list.c
		- (update_connection): make sure to copy private values when updating
			the connection

2008-10-30  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
	  src/applet-dialogs.c
	  src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-upgrade.c
	  src/utils/utils.c
	  src/wireless-security/eap-method-leap.c
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-simple.c
	  src/wireless-security/eap-method-tls.c
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method.c
	  src/wireless-security/wireless-security.c
		- Use 802.1x setting accessors

2008-10-30  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
	  src/applet-dialogs.c
	  src/connection-editor/page-wireless-security.c
	  src/gconf-helpers/gconf-upgrade.c
	  src/utils/utils.c
	  src/wireless-dialog.c
	  src/wireless-security/wireless-security.c
	  src/wireless-security/ws-dynamic-wep.c
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wpa-eap.c
	  src/wireless-security/ws-wpa-psk.c
		- Use wireless security setting accessors

2008-10-29  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
	  src/connection-editor/ip4-routes-dialog.c
	  src/connection-editor/ip4-routes-dialog.h
	  src/connection-editor/page-ip4.c
	  src/gconf-helpers/gconf-upgrade.c
	  src/wireless-dialog.c
		- Use IP4 setting accessors; fix leaks

2008-10-29  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/nm-connection-list.c
	src/connection-editor/page-vpn.c
	src/connection-editor/vpn-helpers.c
	src/gconf-helpers/gconf-upgrade.c
	src/gconf-helpers/nma-gconf-connection.c
	src/vpn-password-dialog.c
		- Use VPN setting accessors.

2008-10-28  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/applet-device-wifi.c
	  src/applet-dialogs.c
	  src/connection-editor/page-wireless-security.c
	  src/connection-editor/page-wireless.c
	  src/gconf-helpers/gconf-upgrade.c
	  src/utils/utils.c
	  src/wireless-dialog.c
	  src/wireless-security/wireless-security.c
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wpa-psk.c
		- Use wireless setting accessors

2008-10-27  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_set_pre_keyring_callback): set a function to be called when
			doing synchronous keyring operations
		- (nm_gconf_add_keyring_item, nm_gconf_get_keyring_items): call that
			function if the keyring is locked

	* src/applet.c
		- (applet_pre_keyring_callback): close the menu before showing accessing
			the keyring (bgo #546034, rh #353451)

2008-10-27  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/connection-editor/page-ppp.c
		- Use ppp setting accessors

2008-10-27  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-wired.c
	  src/applet.c
	  src/gconf-helpers/gconf-helpers.c
		- Use setting accessors

2008-10-27  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.c
		- Don't allow editing of read-only connections

	* src/gconf-helpers/gconf-helpers.c
		- Don't read or save the connection setting's 'read-only' value to GConf

2008-10-27  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.c
		- Revert unintended checkin for read-only connections that snuck into
			the previous commit

2008-10-26  Dan Williams  <dcbw@redhat.com>

	Patch from Jaap A. Haitsma <jaap@haitsma.org>

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-list.c
		- Make default window icons actually work (bgo #553170)

2008-10-26  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-wired.c
	  src/applet-dialogs.c
	  src/applet.c
	  src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-list.c
	  src/connection-editor/page-ip4.c
	  src/connection-editor/vpn-helpers.c
	  src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/nma-gconf-connection.c
	  src/utils/utils.c
	  src/vpn-password-dialog.c
	  src/wired-dialog.c
	  src/wireless-dialog.c
	  src/wireless-security/wireless-security.c
		- Update connection setting accessors

2008-10-26  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/applet-device-gsm.c
	  src/connection-editor/nm-connection-list.c
	  src/connection-editor/page-mobile.c
		- Use gsm setting accessors

2008-10-26  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/applet-device-cdma.c
	  src/connection-editor/nm-connection-list.c
	  src/connection-editor/page-mobile.c
		- Use cdma setting accessors

2008-10-26  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/applet-device-wired.c
	  src/connection-editor/page-dsl.c
		- Use pppoe setting accessors

2008-10-26  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/connection-editor/ce-page.c
	  src/connection-editor/ce-page.h
	  src/connection-editor/page-wired.c
	  src/utils/utils.c
		- Use wired setting accessors

2008-10-26  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/connection-editor/nm-connection-list.c
		- Use setting object accessors

2008-10-24  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
	  src/connection-editor/nm-connection-editor.glade
		- Improve PolicyKit auth to only ask once, and to sensitize/desensitize
			the dialog dynamically based on what the user can and cannot do for
			the given connection scope

2008-10-23  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (create_new_connection_for_type): set initial connection scope

	* src/connection-editor/nm-connection-editor.h
		- Change the editor window from a dialog to a window to allow the
			action area to be more fully customized; move the system settting
			checkbox down there

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
		- (nm_connection_editor_init): hook the system connection checkbox up
			to PolicyKit authorizations
		- (populate_connection_ui): set the system connection checkbox elsewhere
		- (nm_connection_editor_set_connection): set initial value of system
			connection checkbox based on the connection's scope
		- (nm_connection_editor_run): fix up signal handling since the editor
			window is no longer a dialog

2008-10-22  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/nma-gconf-connection.c
		- (service_get_secrets): if the secrets requested by NM aren't found
			from the keyring, ask the user for them; fixes an issue where the
			applet wouldn't request a PIN for the mobile broadband card when
			PPP secrets were set

2008-10-20  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/wireless-security.c
	  src/wireless-security/wireless-security.h
		- (ws_wpa_fill_default_ciphers): remove; the supplicant is smart enough
			to figure out the intersection of the card's capabilities and the
			AP's capabilities
		- (wireless_security_clear_ciphers): new function

	* src/wireless-security/ws-wpa-psk.c
		- (fill_connection): unbreak WPA adhoc connections by actually writing
			a valid config (rh #461197)

	* src/wireless-security/ws-wpa-eap.c
		- (fill_connection): don't call ws_wpa_fill_default_ciphers(), un-needed

2008-10-20  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-tls.c
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-leap.c
		- (fill_connection): don't fill default ciphers here, they will get
			filled in the WirelessSecurity subclasses when appropriate

2008-10-20  Dan Williams  <dcbw@redhat.com>

	* gconf-helpers/nma-gconf-connection.c
		- (service_get_secrets): fix for exported connection class clarifications

2008-10-18  Kjartan Maraas  <kmaraas@gnome.org>

	* src/connection-editor/ce-page-ip4.glade: Don't translate
	widget labels.

2008-10-17  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method.c
		- (default_filter, eap_method_default_file_chooser_filter_new): accept
			.cer and .crt file extensions too

2008-10-15  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
		- (get_security_for_ap): fix the following case for cards that can't
			do WPA or RSN but can pass through the information elements, and
			where the AP has privacy turned on in the beacon

2008-10-10  Tambet Ingo  <tambet@gmail.com>

	* nm-connection-editor.desktop: Add.

2008-10-09  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (nm_gconf_set_stringhash_helper): ensure that stale info isn't left
			around by removing keys that aren't in the stringhash that's about
			to be written to GConf

2008-10-09  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- 'network' -> 'setting'; 'network' was left over from 0.6 when SSIDs
			were part of the GConf path

2008-10-08  Alexander Sack  <asac@ubuntu.com>

	* src/connection-editor/page-ip4.c
		- (ui_to_setting) don't stop processing ui_to_settings when
			when g_strsplit_set result list contains an empty string.

2008-10-06  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-wired.c
		- (*_get_icon): use the active connection for more information in the
			tooltip

	* src/applet.c
	  src/applet.h
		- (applet_get_device_icon_for_state): pass active connection through
			to the get_icon device class handler

2008-10-06  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/applet.c
		- Use "Mobile Broadband" everywhere instead of GSM or CDMA (bgo #551361)

2008-10-06  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-mobile.c
	  src/connection-editor/ce-page-mobile.glade
		- Hide Network Type and Band items because they won't be supported until
			ModemManager support lands

2008-10-04  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (internal_init): use 'authentication' instead of secrets (bgo #548130);
			use 'hidden' instead of 'other' (bgo #544381)

	* src/applet-device-wifi.c
	  src/applet-device-wifi.h
	  src/applet.c
		- (nma_menu_show_cb, nma_menu_add_hidden_network_item): use 'hidden'
			instead of 'other' (bgo #544381)

2008-10-04  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-gsm.c
	  src/applet-device-cdma.c
	  src/applet-device-wired.c
		- (wired_device_state_changed, cdma_device_state_changed,
		   gsm_device_state_changed): show what connection just got connected

2008-10-03  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (internal_init): when creating wifi networks, make the default button
			be "Create" instead of "Connect" (rh #465397); make the default
			button actually be default (bgo #554700) (patch from Rui Matos)

2008-10-03  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (routes_button_clicked_cb): check method before trying to use it
			(rh #465395)

2008-10-02  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (foo_device_added_cb, foo_device_state_changed_cb): use the state-changed
			signal rather than property notification so that old state and the
			reason for the state change can be used as well

	* src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-cdma.c
	  src/applet-device-wired.c
		- Update device state changed handler functions for these changes

2008-10-01  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_get_valuehash_helper, nm_gconf_set_valuehash_helper): no
			longer used; disable for now

2008-09-29  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
	  src/connection-editor/ce-page-wireless.glade
	  src/connection-editor/nm-connection-editor.c
		- Correct translatables (bgo #554193)

2008-09-29  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/vpn-helpers.c
		- (import_vpn_from_file_cb): ensure scope is always valid

	* src/connection-editor/nm-connection-editor.c
		- (nm_connection_editor_set_connection): validate incoming connections
			to ensure the OK button gets the right status when the dialog is
			shown and that pages update their internal settings appropriately

2008-09-29  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (ui_to_setting): accept ', ;:' as delimiters for DNS servers and 
			searches

2008-09-26  Tambet Ingo  <tambet@gmail.com>

	* src/gconf-helpers/gconf-helpers.c (read_one_setting_value_from_gconf): Fix a
	memory leak.

2008-09-25  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ce-page-mobile.glade
	  src/connection-editor/page-mobile.c
		- Fix names & constants to accurately reflect the network technologies
			in question (bgo #551361)

2008-09-24  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (write_one_secret_to_keyring): silence warning about VPN secrets, which
			don't get written to the keyring by the generic GConf helper code,
			but instead by the VPN plugins themselves

2008-09-24  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
		- (nm_gconf_migrate_0_7_vpn_properties): don't set empty values in GConf
		- (move_one_vpn_string_bool, move_one_vpn_string_string): fix stray
			semicolon that caused values to not get converted and removed
			(second part of fix for bgo #553465)

2008-09-24  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (nm_gconf_get_stringhash_helper, write_properties_stringhash): do not
			read or write empty values (partial fix for bgo #553465)

2008-09-22  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c (make_vpn_failure_message): Handle login failure.

2008-09-15  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/nm-connection-editor.c (populate_connection_ui): Fix
	the connection editor crashing on any change to name or autoconnect widgets.

2008-09-15  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (nm_gconf_write_connection, write_one_secret_to_keyring): split out
			writing of secrets into it's own function for clarity.  Fixes a
			regression introduced in r875 where secrets wouldn't get saved.

2008-09-09  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (remove_connection): clean up left-over VPN secrets when removing the
			connection
		- (add_connection, update_connection): save VPN secrets for user-scope
			connections

	* src/connection-editor/nm-connection-editor.c
		- (ui_to_setting, connection_editor_validate): validate and update the
			'connection' setting just like any other setting
		- (populate_connection_ui): hook up signals for notification of when
			'connection' setting properties change; connection scope needs to be
			up-to-date before any other settings are validated
		- (nm_connection_editor_save_vpn_secrets): ask the VPN page to ask the
			plugin to save its secrets

	* src/connection-editor/page-vpn.c
		- (ce_page_vpn_save_secrets): call VPN UI plugin's hook to save secrets

2008-09-05  Dan Williams  <dcbw@redhat.com>

	Fix an NMAccessPoint leak due to erroneous handling of the active AP and
	reference counts, and actually track signal strength for the active AP when
	it changes.

	* src/applet.h
		- Remove global "current_ap" since each wifi device has its own active AP

	* src/applet-device-wifi.c
		- (update_active_ap): new function; update internal idea of the current
			active AP for the device and attach signal strength handler.
			Instead of holding references to the active AP like before (when
			the code was in wireless_device_state_changed()), just tag the device
			with the AP object.  The reference was useless since its only purpose
			was to keep the AP object around for monitoring strength, but the
			strength monitor won't be triggered any more when the AP is disposed
			anyway.
		- (wireless_device_state_changed): move active AP code to
			update_active_ap()
		- (wireless_get_icon): get active AP off the device, not the removed
			global "current_ap"
		- (wireless_device_added, access_point_removed_cb): be sure to clean up
			when an active AP goes away
		- (notify_active_ap_changed_cb): make sure signal strength monitoring
			and applet icon state tracks the active access point.  Previously,
			changes of the active access point would just be ignored because
			it wasn't updated here.

2008-08-28  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
		- Consolidate code that unsets gconf keys

2008-08-26  Dan Williams  <dcbw@redhat.com>

	UUID updates.  Requires NM svn 4013 or later, and VPN plugins 4018 or later.

	* src/applet-device-gsm.c
	  src/applet-device-wifi.c
	  src/applet-device-cdma.c
	  src/applet-device-wired.c
		- (*_new_auto_connection): add UUID

	* src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/gconf-upgrade.h
		- (nm_gconf_read_0_6_wireless_connection,
		   nm_gconf_read_0_6_vpn_connection): add UUID
		- (nm_gconf_migrate_0_7_vpn_connections,
		   nm_gconf_migrate_0_7_connection_names): remove; anybody using an NM
			this old should be shot
		- (try_convert_leap, copy_keyring_to_8021x,
		   nm_gconf_migrate_0_7_wireless_security): UUIDs all around
		- (nm_gconf_migrate_0_7_connection_uuid): add UUIDs to connections
		- (nm_gconf_migrate_0_7_keyring_items): migrate keyring items from
			'connection-name' or 'connection-id' to 'connection-uuid'

	* src/gconf-helpers/nma-gconf-connection.c
		- (get_id, constructor, dispose, finalize, get_secrets, update,
		   nma_gconf_connection_class_init, nma_gconf_connection_save): remove
			id-related stuff

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_get_all_connections): add UUIDs to all connections, and
			remove obsolete migration operations
		- (nm_gconf_add_keyring_item, nm_gconf_write_connection,
		   nm_gconf_get_keyring_items): remove 'id' argument since the
			connection now provides the UUID

	* src/wireless-security/eap-method-leap.c
	  src/wireless-security/wireless-security.c
	  src/wireless-security/ws-dynamic-wep.c
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wpa-psk.c
	  src/wireless-security/eap-method-simple.c
	  src/wireless-security/ws-wpa-eap.c
	  src/wireless-security/eap-method-tls.c
	  src/wireless-dialog.c
	  src/connection-editor/page-wireless-security.c
	  src/connection-editor/page-mobile.c
	  src/connection-editor/page-wired-security.c
	  src/connection-editor/page-dsl.c
	  src/wired-dialog.c
		- Use UUIDs from the connection, not a separate 'id'

	* src/connection-editor/nm-connection-list.c
		- (create_new_connection_for_type, import_success_cb): add UUIDs for
			newly created or imported connections

	* src/vpn-password-dialog.c
		- (nma_vpn_request_password): pass 'uuid' to auth dialog, not 'id'

2008-08-20  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wep-key.h
		- Combine ASCII and Hex key types, becuase we can automatically
			differentiate between the two
		- Default to Hex/ASCII key type because apparently too many people have
			trouble with the concept of WEP passphrases

	* src/wireless-dialog.c
	  src/connection-editor/page-wireless-security.c
		- Combine ASCII and Hex key types

2008-08-15  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (ip4_private_init): show connection type in IPv4 method text
			(bgo #544385)

2008-08-15  Dan Williams  <dcbw@redhat.com>

	* src/wired-dialog.c
		- (dialog_init): use standard icon theme icons

	* src/wireless-dialog.c
		- (internal_init): use standard icon theme icons; use wireless icon
			for "Connect to other..." and "Create new...", but use password
			icon when asking only for secrets (bgo #538942)

2008-08-15  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wired.c
		- (pppoe_update_ui): try to pull PPPoE password out of keyring

2008-08-15  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-ttls.c
	  src/wireless-security/ws-wep-key.c
		- (eap_method_ttls_new, key_index_combo_changed_cb, ws_wep_key_new): add
			missing change notifiers (bgo #547709)

2008-08-14  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
	  src/applet-device-wired.c
	  src/connection-editor/page-wired-security.c
	  src/wired-dialog.c
		- Don't use gtk_box_pack_start_defaults(), which is deprecated
			(bgo #547158)

2008-08-12  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
		- (nm_gconf_migrate_0_7_openvpn_properties): migrate 'shared' -> 'static'
			too, fix missing initialization that caused connection type not to
			get migrated

2008-08-12  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/page-ip4.c (ce_page_ip4_new): Rename the 
	"Prefix" column header to "Netmask", which is hopefully better
	understood.
	(parse_netmask): Implement. Accept both prefix length and netmask.
	(ui_to_setting): Use parse_netmask() to ... parse netmask.

2008-08-11  Dan Williams  <dcbw@redhat.com>

	Update to match NM svn3924 vpn setting changes (consolidated vpn and
	vpn-properties settings; vpn-specific data now a hash of string:string
	instead of string:variant); convert old GConf entries to new format

2008-08-07  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ce-page-wired.glade
	  src/connection-editor/ce-page-wireless.glade
		- Replace "Example:" labels with tooltips

2008-08-06  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- 'shared' is pointless for VPN connections

2008-08-06  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ce-page-ip4.glade
		- Add a checkbox for 'ignore-auto-routes'

	* src/connection-editor/ip4-routes-dialog.c
	  src/connection-editor/ip4-routes-dialog.h
	  src/connection-editor/page-ip4.c
		- Handle route editing

2008-08-06  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- Generalize IP4 helper functions to handle both routes and addresses

	* src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/gconf-upgrade.h
		- (nm_gconf_migrate_0_7_ignore_dhcp_dns, nm_gconf_migrate_0_7_vpn_routes):
			new functions

2008-08-05  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/Makefile.am
	  src/connection-editor/ip4-routes-dialog.c
	  src/connection-editor/ip4-routes-dialog.h
	  src/connection-editor/ce-page-ip4.glade
		- Add a mostly-functional routes editor dialog

	* src/connection-editor/page-ip4.c
		- Hook the routes button up to the routes dialog

2008-08-04  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
	  src/connection-editor/ce-page-ip4.glade
		- De-sensitize all widgets that don't make sense for a given IP4 method
		- Add a 'routes' button
		- Make the examples tooltips rather than widgets

2008-08-01  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
		- (fixup_desc_string): remove more bits of vendor and product strings

2008-08-01  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_add_devices): count unavailable and unmanaged wireless
			devices when building the menu, but not when determining whether
			to show other wireless related menu items

2008-08-01  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/gconf-upgrade.h
		- (nm_gconf_migrate_0_7_ip4_method): Update ipv4 method names to match
			NM svn r3882 and later

	* gconf-helpers/gconf-helpers.c
		- (nm_gconf_get_all_connections): convert method names

	* src/connection-editor/page-ip4.c
		- (populate_ui, ui_to_setting): use new method names

2008-07-31  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (method_changed): tighten up UI options; disable widgets where the
			option doesn't make sense for the IP4 method chosen

2008-07-29  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (dns_servers_changed, dns_searches_changed): remove, validation
			handled by ui_to_setting() now
		- (ui_to_setting): validate here too
		- (validate): use ui_to_setting() for partial validation

2008-07-28  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wifi.c
		- (wireless_device_added): disconnect from the Settings object's
			new-connection signal when the device is destroyed to prevent
			callbacks for invalid, removed devices (rh #457380)

2008-07-28  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wep-key.h
		- (ws_wep_key_new): WEP auth method and key indexes are pretty pointless
			for Ad-Hoc networks; hide them in the Ad-Hoc case

	* src/wireless-dialog.c
	  src/connection-editor/page-wireless-security.c
		- (security_combo_init, ce_page_wireless_security_new): fix up for
			above change

2008-07-27  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/vpn-helpers.c
		- (vpn_get_plugins): look for UI plugins in $LIBDIR/NetworkManager to
			match NM svn 3863 and later

2008-07-27  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/Makefile.am
	  src/connection-editor/nm-connection-editor-service.xml
		- Add service definition for single-app-instance D-Bus API

	* src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-list.h
		- (add_connection_tab): keep connection type list around for later
		- (add_connection_tabs): don't free connection type lists since they
			are now kept around by add_connection_tab()
		- (nm_connection_list_set_type): new function; given a connection type
			select that type's tab in the connection list and bring the
			connection list window to the front

	* src/connection-editor/main.c
		- Implement a single-app-instance object that exports a D-Bus API to
			accept the same args that the connection editor does on the command
			line
		- (main, try_existing_instance): if a connection editor is already open
			in the current session, just send the command-line arguments to that
			existing editor over D-Bus instead of spawning a second editor

2008-07-24  Tambet Ingo  <tambet@gmail.com>

	* src/applet-device-cdma.c (get_cdma_secrets_cb): Add format argument to
	g_warning() call.

2008-07-21  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wired.c
		- (pppoe_get_secrets): make "Show Password" checkbox work

2008-07-21  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (ip4_private_init, method_changed, populate_ui, ce_page_ip4_new,
		   ui_to_setting): use a list store instead of the glade file's items
			for the method combo so that we can remove the Link-Local item when
			editing VPN connections

2008-07-21  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ce-page-ip4.glade
	  src/connection-editor/page-ip4.c
		- DHCP -> Automatic; so that it's appropriate to use with VPNs too

2008-07-21  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/gconf-upgrade.h
	  src/gconf-helpers/gconf-helpers.c
		- (nm_gconf_migrate_0_7_netmask_to_prefix, nm_gconf_get_all_connections):
			convert netmasks to prefixes

2008-07-17  Tambet Ingo  <tambet@gmail.com>

	Fix connection editor's wireless security handling.

	* src/gconf-helpers/gconf-helpers.c (nm_gconf_connection_duplicate):
	Implement. Just using nm_connection_duplicate() does not add the applet
	specific object data.

	* src/connection-editor/nm-connection-list.c (do_edit): When duplicating the
	connection, use a helper function to get all the associated data as well.

	* src/connection-editor/nm-connection-editor.c (connection_editor_validate):
	Add some debug output for now to make it easier to see which page fails.

2008-07-11  Tambet Ingo  <tambet@gmail.com>

	* src/applet.glade: Add a placeholder for the info dialog's notebook to avoid
	a warning on startup.

2008-07-09  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (applet_get_default_active_connection): return a non-default connection
			if there is no default connection; fixes issue displaying the not-
			connected icon if a shared or autoip connection is active

2008-07-08  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-wireless.c
		- (populate_ui): ensure changes update the connection on-the-fly

2008-07-08  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
	  src/connection-editor/ce-page.c
	  src/connection-editor/ce-page.h
		- Move ce_spin_output_with_default() and ce_get_property_default() to
			ce-page.c

2008-07-08  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (nma_context_menu_create): remember signal IDs
		- (nma_context_menu_update): block emission of 'toggled' handlers so
			they don't get called when updating the checkitems' status

2008-07-08  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
		- (method_changed): disable manual configuration elements when AutoIP
			is selected too

2008-07-07  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4.c
	  src/applet-dialogs.c
		- Update for change from netmask -> prefix (requires NM svn3812 or later)

2008-07-03  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ce-page-ip4.glade
	  src/connection-editor/page-ip4.c
		- Add entry for DHCP Client ID

2008-07-03  Dan Williams  <dcbw@redhat.com>

	* src/vpn-password-dialog.c
	  src/Makefile.am
		- (find_auth_dialog_binary): expect VPN auth dialog to be in $LIBEXECDIR

2008-07-03  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/vpn-helpers.c
	  src/connection-editor/Makefile.am
		- (vpn_get_plugins): expect VPN GUI plugins to be in $LIBDIR

2008-07-02  Tambet Ingo  <tambet@gmail.com>

	Patch from André Lemos <alemos@criticalsoftware.com>

	* src/gconf-helpers/nma-gconf-settings.c 
	(nma_gconf_settings_add_connection):
	* src/connection-editor/nm-connection-list.c (show_error_dialog):
	* src/applet.c (applet_settings_new_secrets_requested_cb): 
	* src/applet-device-wired.c (get_pppoe_secrets_cb)
	(get_8021x_secrets_cb): 
	* src/applet-device-wifi.c (get_secrets_dialog_response_cb): 
	* src/applet-device-gsm.c (get_gsm_secrets_cb): Always send a format
	string to vararg message functions.

2008-07-01  Dan Williams <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (applet_settings_new_secrets_requested_cb): pass hints to device
			subclass

	* src/applet-device-wifi.c
	  src/applet-device-wired.c
		- (wireless_get_secrets, wired_get_secrets): update for 'hints' argument

	* src/applet-device-gsm.c
		- (gsm_get_secrets): use hints to determine which secret (PIN, PUK, or
			PPP password) NM is requesting
		- (ask_for_password): ask for PPP password when required
		- (ask_for_pin_puk): handle PUK too
		- (get_gsm_secrets_cb): handle all of PIN, PUK, and PPP password

	* src/applet-device-cdma.c
		- (cdma_get_secrets, ask_for_password, get_cdma_secrets_cb): handle PPP
			passwords

2008-06-26  Dan Williams <dcbw@redhat.com>

	* Update FSF address in license headers (Michael Biebl <biebl@debian.org>)

2008-06-26  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_configure_vpn_item_activate): call the connection editor not
			nm-vpn-properties

	* src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-list.h
		- (nm_connection_list_new): takes the default type
		- (add_connection_tab): if a default type was given, select that type's
			tab

	* src/connection-editor/main.c
		- (main): add --type argument which will select that type's tab

2008-06-23  Christian Persch  <chpe@gnome.org>

	* src/connection-editor/page-wireless-security.c:
	(ce_page_wireless_security_new):
	* src/wireless-dialog.c: (connection_combo_init),
	(device_combo_init), (internal_init): Don't use deprecated gtk type
	macros. Bug #539325.

2008-06-20  Dan Williams  <dcbw@redhat.com>

	Update for VPN UI plugin API changes

	* src/connection-editor/page-vpn.c
		- (ce_page_vpn_new): connect to 'changed' instead of 'validity-changed'
		- (validate): nm_vpn_plugin_ui_widget_interface_update_connection()
			now returns validity

2008-06-20  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (create_new_connection_for_type): fix adding CDMA connections

2008-06-20  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/ce-page.c
	src/connection-editor/ce-page.h
	src/connection-editor/nm-connection-editor.c
	src/connection-editor/nm-connection-editor.h
	src/connection-editor/nm-connection-list.c
	src/connection-editor/page-dsl.c
	src/connection-editor/page-ip4.c
	src/connection-editor/page-mobile.c
	src/connection-editor/page-ppp.c
	src/connection-editor/page-vpn.c
	src/connection-editor/page-wired-security.c
	src/connection-editor/page-wired.c
	src/connection-editor/page-wireless-security.c
	src/connection-editor/page-wireless-security.h
	src/connection-editor/page-wireless.c

	Use a copy of the real connection in the connection editor. Fixes issues
	where the connection is updated but writing it fails for some reason.
	Keep the connection that's been edited updated after every UI change so
	that pages can act on changes to other pages.

2008-06-17  Dan Williams  <dcbw@redhat.com>

	* src/vpn-properties/*
		- Remove, no longer used

	* src/connection-editor/Makefile.am
	  src/connection-editor/ce-vpn-wizard.glade
	  src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.glade
	  src/connection-editor/nm-connection-list.c
	  src/connection-editor/page-vpn.c
	  src/connection-editor/page-vpn.h
	  src/connection-editor/vpn-helpers.c
	  src/connection-editor/vpn-helpers.h
		- Add VPN editing functionality to the connection editor using the
			new GNOME VPN UI plugin API

2008-06-11  Dan Williams  <dcbw@redhat.com>

	Fix up for addition of GError argument to nm_connection_verify() and
	nm_setting_verify().

2008-06-10  Dan Williams  <dcbw@redhat.com>

	Fix up for symbol renames for ethernet and wifi devices in libnm-glib

2008-06-09  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wep-key.c
		- (ws_wep_key_new): don't crash if the connection doesn't have wireless
			security yet (like in the Create New... dialog)

2008-06-09  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wireless.c
		- (wifi_available_dont_show_cb): fix comparison that caused applet to
			not save the "don't show again" preference

2008-06-06  Dan Williams  <dcbw@redhat.com>

	Patch from Colin Walters <walters@verbum.org>

	* src/applet.c
		- (status_icon_activate_cb, status_icon_popup_menu_cb): clear any
			notification when the user clicks on the applet icon

2008-06-05  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (applet_do_notify): add action support

	* src/applet-device-wireless.c
		- (wifi_available_dont_show_cb): suppress notification of APs when the
			user says so
		- (idle_check_avail_access_point_notification): add suppression action
		- (queue_avail_access_point_notification): don't show the notificiation
			if it's suppressed

	* src/applet-device-gsm.c
	  src/applet-device-cdma.c
	  src/applet-device-wired.c
	  src/applet.c
		- Fix for applet_do_notify() changes

2008-06-05  Dan Williams  <dcbw@redhat.com>

	Patch from Colin Walters <walters@verbum.org>  (gnome.org #534427)

	* src/applet.c
	  src/applet.h
		- (applet_get_settings): add accessor for settings object

	* src/applet-device-wireless.c
		- Notify the user about available wireless networks if there is no
			connection and there aren't any matching saved networks

2008-05-29  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (connection_combo_init): when creating a new adhoc network, only show
			existing Ad-Hoc 'shared' connections
		- (nma_wireless_dialog_get_connection): when creating a new adhoc
			network, set the connection's ip4 method to 'shared'

	* src/connection-editor/ce-page-ip4.glade
		- Add a new IPv4 method "Shared to other computers"

	* src/connection-editor/page-ip4.c
		- (method_changed): enable/disable DNS stuff as appropriate when the
			method changes
		- (populate_ui, ui_to_setting): handle the 'shared' method
		- (ce_page_ip4_new): call method_changed() to update widget sensitivity

2008-05-29  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (applet_get_default_active_connection): if the only active connection
			is an adhoc connection but it's not 'default' becuase it doesn't
			have a route the internet, show it's state anyway

2008-05-29  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_add_devices): only count wireless devices that are actually
			usable

2008-05-29  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wep-key.c
		- (ws_wep_key_new): Shared Key auth is not valid in Ad-Hoc mode, so
			disable it as a choice

2008-05-28  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
	  src/applet-dialogs.c
		- Make the new info dialog /stetic/

2008-05-28  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
	  src/wireless-dialog.h
	  src/applet.glade
		- Convert the wireless dialog into a subclass of GtkDialog
		- Add a "Connection" combo box and populate it with existing connections
			that apply to the operation being performed; it's populated with
			adhoc-create=True connections for "Create new...", populated with
			adhoc-create=False connections for "Connect to other...", and hidden
			when the applet is just asking for secrets.

	* src/applet-device-wireless.c
		- Handle new wireless dialog API

2008-05-28  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
		- (utils_get_device_description): ignore words in the product string
			too; add more ignored words

2008-05-28  Tambet Ingo  <tambet@gmail.com>

	Show all active connections in "Connection Information" dialog.

	* src/applet.glade: Remove the connection editor's content, it's
	built in C now, one page per active connection.

	* src/applet-dialogs.c: Add a tab per connection when showing the
	connection information.

	* src/applet.c (applet_connection_info_cb): Don't find the default
	connection, all active connections are shown.

2008-05-23  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/page-ip4.c: Add a "DHCP with manual DNS settings"
	IP4 configuration method.

2008-05-21  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/wireless-security.c
		- (ws_802_1x_auth_combo_init): fix counting of active item in the
			auth popup menu (rh #447716)

2008-05-15  Tambet Ingo  <tambet@gmail.com>

	Update GConf connections after all the changes are done to avoid
	invalid connection states while in between changes.

	* src/gconf-helpers/nma-gconf-settings.c (connections_changed_cb):
	Collect all pending changes and handle them after all GConf changes
	are done. Also fixes a bunch of ugly warnings when connections get
	deleted.

	* src/gconf-helpers/nma-gconf-connection.c
	(nma_gconf_connection_changed): Remove the GConfEntry, we collect all
	changes before calling this, the connection is in invalid state while
	some setting values are update and others aren't.
	(delete): Suggest a sync after recursive unset.

2008-05-15  Tambet Ingo  <tambet@gmail.com>

	Move crypto functions from here to NetworkManager/libnm-util.

	* src/utils/crypto.[ch]
	* src/utils/crypto_gnutls.c
	* src/utils/crypto_nss.c
	* src/utils/test-crypto.c: Move to NetworkManager/libnm-util.

2008-05-12  Dan Williams  <dcbw@redhat.com>

	* configure.ac
		- Handle PolicyKit 0.6 and grab PK version for later use
		- Split out PK CFLAGS and LIBS from main NMA flags and libs

	* src/connection-editor/Makefile.am
		- Use split out PK CFLAGS and LIBS
		- Build in PK 0.6 helpers when needed

	* src/connection-editor/polkit-06-helpers.c
	  src/connection-editor/polkit-06-helpers.h
		- (polkit_gnome_auth_obtain): re-implement for PK 0.6 using ShowDialog
			instead

	* src/connection-editor/nm-connection-list.c
		- Use polkit-06-helpers when needed

2008-05-12  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/nm-connection-list.c: Unify all the PolicyKit
	access to one place. Implement connection scope changing.

	* src/connection-editor/nm-connection-editor.c: Remove all the PolicyKit
	code from here.

2008-05-09  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/nm-connection-editor.c: Show error dialog
	if updating connection fails.

	* src/connection-editor/nm-connection-list.c: Show error dialog
	if adding or removing connection fails.

2008-05-02  Tambet Ingo  <tambet@gmail.com>

	Use PolicyKit to authorize the system connection handling.

	* src/gconf-helpers/nma-gconf-connection.c (update, delete): Update,
	NMExportedConnection::update and ::delete now handle errors.

	* src/connection-editor/nm-connection-list.c 
	(delete_connection_auth_cb): Implement
	(delete_connection): Implement.
	(delete_connection_cb): Use PolicyKit.

	* src/connection-editor/nm-connection-editor.c 
	(connection_editor_update_connection): Use a PolicyKit aware helper
	function to update connections.
	(update_connection): Implmenet.
	(update_connection_auth_cb): Implement.

	* src/connection-editor/nm-connection-list.c (add_done_cb): Use the
	PolicyKit aware helper function to add new system connection.
	(add_system_connection): Implement. If the request fails because of
	authorization, use PolicyKit gnome helper to request the authorization.
	(add_system_connection_auth_cb): Implement. Try again if the 
	authorization was granted.
	(add_connection_treeview): Rename an internal variable, 'select' clashes
	with a syscall name.

	* configure.ac: Require PolicyKit-gnome.

2008-05-08  Tambet Ingo  <tambet@gmail.com>

	Implement asking GSM device PIN.

	* src/utils/utils.c (vnd_ignore): Add some more strings to ignore.

	* src/applet-device-gsm.c (pin_entry_changed)
	(get_gsm_secrets_cb, gsm_get_secrets): Implement.

2008-05-07  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
		- (info_dialog_update): fix for NMIP4Config changes for multiple IPs

2008-05-05  Dan Williams  <dcbw@redhat.com>

	* src/vpn-properties/nm-vpn-properties.c
		- (edit_cb): don't crash when renaming a VPN connection

2008-05-05  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-wireless-security.c
		- (update_connection): handle unencrypted connections without crashing

2008-04-30  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c (constructor): Get system connections from dbus.

2008-04-30  Tambet Ingo  <tambet@gmail.com>

	Implement system settings handling in the connection editor.

	* src/connection-editor/nm-connection-list.[ch]: Use NMAGconfSettings
	and NMDBusSettingsSystem to get connections. Update the connection
	lists dynamically based on signals received from the connections.

	* src/connection-editor/nm-connection-editor.[ch]: Work with
	NMExportedConnection so that updating and removing of the connections
	is handled by the connections, not special cased here.

2008-04-30  Tambet Ingo  <tambet@gmail.com>

	Add a toggle button to the connection editor to indicate and change the
	connection scope (system or user).

	* src/connection-editor/nm-connection-editor.c (populate_connection_ui):
	Set the toggle button state according to the connection scope.
	(connection_editor_update_connection): Update the connection scope
	according to the toggle button state.

	* src/connection-editor/nm-connection-editor.glade: Add a toggle button
	to indicate and possibly change system/user connections.

2008-04-30  Tambet Ingo  <tambet@gmail.com>

	Replace applet-dbus-settings.[ch] with NMAGConfSettings and
	NMAGConfConnection.

	* src/applet.c:
	* src/applet.h: Use NMAGConfSettings for locally stored settings and
	NMDBusSettingsSystem for system settings.

	* src/applet-device-cdma.c:
	* src/applet-device-gsm.c:
	* src/applet-device-wired.c:
	* src/applet-device-wireless.c: Update to use NMAGConfSettings and
	NMAGConfConnection.

	* src/Makefile.am: Remove applet-dbus-settings.[ch] from the build.

	* src/applet-dbus-settings.[ch]: Removed.

2008-04-30  Tambet Ingo  <tambet@gmail.com>

	Implement NMSettings and NMExportedConnection subclasses for handling
	NMConnections stored in GConf.

	* src/gconf-helpers/nma-gconf-settings.[ch]:
	* src/gconf-helpers/nma-gconf-connection.[ch]: Implement.

	* src/gconf-helpers/Makefile.am: Add new files to the build.

2008-04-30  Tambet Ingo  <tambet@gmail.com>

	Move marshallers to it's own directory so they can be shared.

	* src/marshallers/Makefile.am:
	* src/marshallers/nma-marshal.main.c:
	* src/marshallers/nma-marshal.list: Implement.

	* configure.ac: Create src/marshallers/Makefile.

	* src/Makefile.am: Add marshallers to the list of build directories.
	Include marshallers to the cflags and libs.
	Remove applet-marshal* references.

	* src/applet-dbus-manager.c:
	* src/applet-dbus-settings.c: Use the common marshallers.

	* src/applet-marshal-main.c:
	* src/applet-marshal.list: Remove

2008-04-30  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (security_combo_changed): re-validate when security combo changes
		- (security_combo_init): guess WEP key type and select the right option
			in the security combo

2008-04-29  Dan Williams  <dcbw@redhat.com>

	* gconf-helpers/gconf-helpers.c
		- (copy_one_setting_value_to_gconf): write the 'name' key to GConf too;
			because of the default-value removal code, and because GConf will
			automatically delete directories that are empty, we need to make
			sure that some directories stick around.  For example, PPPoE
			connections need the PPP setting too, but if it's all default
			values GConf will remove it.

2008-04-27  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-wireless-security.c
		- (validate): unencrypted method doesn't have a security object so
			NULL here means valid

	* src/connection-editor/nm-connection-list.c
		- (create_new_connection_for_type): set default wireless mode

	* src/connection-editor/page-ip4.c
		- (cell_edited, ce_page_ip4_new): trigger validation when IP addresses
			change too

2008-04-27  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
	  src/utils/utils.h
		- (utils_ether_ntop, utils_mac_valid): new functions

	* src/connection-editor/ce-page.c
	  src/connection-editor/ce-page.h
		- (ce_page_mac_to_entry, ce_page_entry_to_mac): new functions

	* src/connection-editor/ce-page-wireless.glade
	  src/connection-editor/page-wireless.c
		- Hook up BSSID and MAC address entries
		- Hide widgets for settings NM doesn't yet support

	* src/connection-editor/ce-page-wired.glade
	  src/connection-editor/page-wired.c
		- Hook up MAC address entry
		- Hide widgets for settings NM doesn't yet support

2008-04-24  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-peap.c
		- (eap_method_peap_new): fix population of anonymous identity

	* src/wireless-security/eap-method-ttls.c
		- (inner_auth_combo_init): populate phase2 auth method correctly
		- (eap_method_ttls_new): fix population of anonymous identity

2008-04-22  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (copy_one_setting_value_to_gconf): clear out values from gconf that
			are default values

2008-04-22  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (applet_get_best_activating_connection): renamed from
			applet_get_best_active_connection(); only care about activating
			connections
		- (applet_get_default_active_connection): return the current default
			active connection
		- (nma_menu_vpn_item_clicked, applet_connection_info_cb): we care about
			the default connection here, not the first active connection
		- (applet_get_first_active_vpn_connection,
		   foo_active_connections_changed_cb): fix up for NMVPNConnection changes
			in libnm-glib
		- (applet_get_device_icon_for_state): we care about activating
			connections first, because something is happening, and if there is
			no activating connection, then the current default active connection

2008-04-22  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/wireless-security.c
		- (ws_802_1x_auth_combo_init): LEAP is not a valid wired 802.1x auth
			method

2008-04-18  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/Makefile.am
	  src/connection-editor/page-ppp.c
	  src/connection-editor/page-ppp.h
	  src/connection-editor/ce-page-ppp.glade
		- Add PPP settings page

	* src/connection-editor/page-dsl.c
		- (validate): need the PPP setting to valide the PPPoE setting

	* src/connection-editor/nm-connection-list.c
		- (create_new_connection_for_type): add PPP settings for mobile broadband
			and DSL

	* src/connection-editor/nm-connection-editor.c
		- (nm_connection_editor_set_connection): add PPP page for DSL and
			mobile broadband

2008-04-17  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.c
		- (connection_editor_update_connection): save 'autoconnect' back to the
			connection

2008-04-16  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ce-page-wired.glade
	  src/connection-editor/ce-page-wireless.glade
	  src/connection-editor/page-wireless.c
		- Fix up option constraints on MTU, Rate, and TX power
		- Use "automatic" not "default"
		- Add units labels to MTU, Rate, and TX Power

	* src/connection-editor/nm-connection-editor.c
		- (ce_spin_output_with_default): use 'automatic' not 'default'

2008-04-16  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-dsl.c
	  src/connection-editor/page-mobile.c
		- fetch secrets from the keyring to populate entries with

2008-04-16  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/ce-mobile-wizard.glade
	  src/connection-editor/mobile-wizard.c
	  src/connection-editor/mobile-wizard.h
	  src/connection-editor/Makefile.am
	  po/POTFILES.in
		- Add connection type chooser

	* src/connection-editor/nm-connection-list.c
		- (create_new_connection_for_type): handle mobile broadband too

2008-04-16  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
		- (utils_get_device_description): fix space addition when munging
			device descriptions

2008-04-15  Dan Williams  <dcbw@redhat.com>

	* src/ap-menu-item.c
	  src/applet-device-wireless.c
	  src/utils/utils.c
		- Replace IW_MODE_* with NM_802_11_MODE

2008-04-15  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/wireless-security.c
	  src/wireless-security/eap-method-leap.c
	  src/wireless-security/ws-dynamic-wep.c
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-wpa-psk.c
	  src/wireless-security/eap-method-simple.c
	  src/wireless-security/eap-method-tls.c
		- Don't require 'connection_id' as this won't have been determined when
			adding a new connection

2008-04-15  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_get_keyring_items): add option to include private passwords
			 (like the private key password and phase2 private key passwords)
			 in the returned tables for use in UI bits.  Fixes issue where the
			 802.1x security widgets couldn't get the private key password to
			 display to the user.

	* src/wireless-security/eap-method-leap.c
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wpa-psk.c
	  src/wireless-security/eap-method-simple.c
	  src/wireless-security/eap-method-tls.c
	  src/applet-dbus-settings.c
		- Fix up for nm_gconf_get_keyring_items() changes

2008-04-15  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-ip4-address.c
	  src/connection-editor/page-ip4-address.h
	  src/connection-editor/ce-page-ip4-address.glade
	  src/connection-editor/Makefile.am
		- remove the source and glade files, everything IPv4 in one pane for now

	* src/connection-editor/nm-connection-editor.c
		- (nm_connection_editor_set_connection): remove usage of old ip4_address
			page
		- (connection_editor_update_connection): fill certs so that the connection
			has a chance of getting validated

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_get_ip4_addresses_helper, nm_gconf_set_ip4_addresses_helper):
			implement

	* src/connection-editor/ce-page-ip4.glade
		- Add IPv4 address bits; change DNS and search to entries

	* src/connection-editor/page-ip4.c
		- Fix up to work with new IPv4 page UI bits

2008-04-15  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/page-wireless.c (ce_page_wireless_new):
	* src/connection-editor/page-wired.c (ce_page_wired_new): 
	* src/connection-editor/page-mobile.c (ce_page_mobile_new): 
	* src/connection-editor/page-ip4.c (ce_page_ip4_new): 
	* src/connection-editor/page-dsl.c (ce_page_dsl_new): Use 
	nm_setting_duplicate() instead of hashing the setting first and then
	creating a new setting out of the hash. In addition to being annoying
	to do, it also missed non-serializable properties in the duplicate.

2008-04-15  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/page-wired-security.[ch]: Implement.

	* src/connection-editor/nm-connection-editor.c 
	(nm_connection_editor_set_connection): Add wired security page.

	* src/connection-editor/Makefile.am: Build new files.

	* src/wireless-security/wireless-security.c 
	(ws_802_1x_auth_combo_init): Don't require a wireless security setting,
	makes it preselect the correct EAP method for wired security as well.

	* src/gconf-helpers/gconf-helpers.c (remove_leftovers): Implement.
	(nm_gconf_write_connection): Remove the left over settings from GConf
	which are not part of NMConnection anymore.

2008-04-14  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/ce-page-mobile.glade: Implement.

	* src/connection-editor/page-mobile.[ch]: Implement.

	* src/connection-editor/nm-connection-editor.c 
	(nm_connection_editor_set_connection): Handle GSM and CDMA settings.

	* src/connection-editor/Makefile.am: Add new files to build.

	* src/gconf-helpers/gconf-helpers.c (nm_gconf_set_string_helper):
	Allow NULL value, in that case, unset the GConf value. Otherwise,
	it was not possible to reset string values which already had non-null
	value.
	(copy_one_setting_value_to_gconf): Write string to gconf even if it's
	null to make sure it doesn't have a previous value.
	(write_one_private_string_value): No need to check for null here,
	string helper already does that.

2008-04-10  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/page-wired.c: Another day, another page.

2008-04-09  Dan Williams  <dcbw@redhat.com>

	* src/vpn-password-dialog.c
	  src/vpn-password-dialog.h
		- (nma_vpn_request_password): pass the VPN connection ID to the auth
			dialog too because that's needed to get keyring items in some cases

	* src/applet.c
		- (applet_settings_new_secrets_requested_cb): pass the exported
			connection so that the connection's ID can be found

2008-04-09  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (get_next_available_name): get the next available connection name
			that's not taken
		- (create_new_connection_for_type): create a new connection for a
			specific device type
		- (add_connection_cb): get a new connection for the device type that
			this add button handles
		- (new_connection_list, init_connection_lists): tag connection lists
			with their device type

2008-04-09  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-wireless.c
		- (populate_ui): don't puke on blank SSID, like when adding a new
			connection

2008-04-09  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/page-dsl.c: Finish the implemention to load, validate,
	and save.

	* src/connection-editor/ce-page-dsl.glade: Add "Show Password" checkbox.
	Remove "invisible_char" properties.

2008-04-09  Tambet Ingo  <tambet@gmail.com>

	* src/gconf-helpers/gconf-helpers.c
	(nm_gconf_set_uint_array_helper): Implement.
	(nm_gconf_get_uint_array_helper): Implement.
	(read_one_setting_value_from_gconf): Handle DBUS_TYPE_G_UINT_ARRAY.
	(copy_one_setting_value_to_gconf): Ditto.
	(nm_gconf_set_stringlist_helper): Don't ignore NULL lists, it's an empty list
	and without this change, it was not possible to reset string list values.

	* src/connection-editor/page-ip4.c: Finish the implemention to load, validate,
	and save.

	* src/connection-editor/ce-page-ip4.glade: Replace the "Manual" checkbox with
	combo box to allow selecting "DHCP", "Auto IP", and "Manual".

	* src/connection-editor/page-wireless.c (update_connection): Fix a reference
	counting issue.

2008-04-08  Dan Williams  <dcbw@redhat.com>

	* icons/Makefile.am
	  icons/nm-vpn-standalone-lock.png
	  icons/nm-vpn-active-lock.png
		- Split VPN lock icons; add 16x16 centered icon for connection editor

	* icons/nm-vpn-lock.png
		- remove

	* src/applet.c
		- (nma_icons_load): use nm-vpn-active-lock.png

	* src/connection-editor/nm-connection-list.c
		- (new_connection_list): allow NULL icon pixbuf
		- (nm_connection_list_init): don't init stuff here because it can fail
		- (dispose): don't dispose of stuff that's not allocated
		- (nm_connection_list_new): init stuff here and clean up if it fails

	* src/connection-editor/main.c
		- (main): exit cleanly on init failure

2008-04-08  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (periodic_update_active_connection_timestamps): new function; update
			active connection timestamps every 5 minutes
		- (constructor, finalize): start/stop periodic update

2008-04-08  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-gsm.c
	  src/applet-device-wireless.c
	  src/applet-device-cdma.c
	  src/applet-device-wired.c
		- Handle unmanaged devices and wireless-disabled better

2008-04-08  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/page-wireless.c: Implement updating and verifying
	the wireless setting.

	* src/connection-editor/page-wireless-security.c (update_connection): 
	Update the connection from UI.

2008-04-08  Tambet Ingo  <tambet@gmail.com>

	* src/applet-device-cdma.c (add_disconnect_item): 
	* src/applet-device-gsm.c (add_disconnect_item): Update to check the new
	device states.

2008-04-03  Dan Williams  <dcbw@redhat.com>

	Switch keyring tagging of passwords to use the connection ID, not the
	connection's name, so secrets are associated with the same connection
	across connection renames.

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_add_keyring_item): take a connection ID argument and use
			that when setting the keyring item, instead of using the connection
			name
		- (copy_one_setting_value_to_gconf, write_one_password,
		   nm_gconf_write_connection): pass the connection ID on to
			nm_gconf_add_keyring_item()
		- (nm_gconf_get_keyring_items): take a connection ID argument

	* src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/gconf-upgrade.h
		- (nm_gconf_migrate_0_7_keyring_items): migrate keyring items to new
			tagging style
		- (nm_gconf_write_0_6_connection, try_convert_leap,
		   copy_keyring_to_8021x, nm_gconf_migrate_0_7_wireless_security): pass
			connection ID along

	* src/wireless-dialog.c
	  src/wired-dialog.c
	  src/vpn-properties/nm-vpn-properties.c
	  src/connection-editor/page-wireless-security.c
	  src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-editor.c
	  src/applet-dbus-settings.c
		- Get/set the connection ID based on the connection's GConf path, and
			pass that to UI bits as appropriate

	* src/wireless-security/eap-method-leap.c
	  src/wireless-security/eap-method-leap.h
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-peap.h
	  src/wireless-security/eap-method-simple.c
	  src/wireless-security/eap-method-simple.h
	  src/wireless-security/eap-method-tls.c
	  src/wireless-security/eap-method-tls.h
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method-ttls.h
	  src/wireless-security/wireless-security.c
	  src/wireless-security/wireless-security.h
	  src/wireless-security/ws-dynamic-wep.c
	  src/wireless-security/ws-dynamic-wep.h
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-leap.h
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wep-key.h
	  src/wireless-security/ws-wpa-eap.c
	  src/wireless-security/ws-wpa-eap.h
	  src/wireless-security/ws-wpa-psk.c
	  src/wireless-security/ws-wpa-psk.h
		- Take a connection ID to the xxxx_new () functions to be passed along
			to nm_gconf_get_keyring_items()

2008-04-02  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
		- (connection_valid_for_wired): handle PPPoE connections & devices
			correctly

2008-04-02  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_add_devices): fix # of devices logic; handle CDMA & GSM
			devices too

2008-04-01  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (format_last_used): move above all users
		- (get_iter_for_connection): new function; get the model and iter for
			a specific NMConnection
		- (add_done_cb): add the new connection to the list
		- (edit_done_cb): update the list with the new connection name
		- (delete_connection_cb): close any open editors when deleting a
			connection

2008-04-01  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/main.c
		- exit cleanly
		- (main): init gettext stuff; connection list is no longer modal

	* src/connection-editor/page-wireless.c
		- (ce_page_wireless_new): validate on SSID change

	* src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-list.h
		- (add_connection_cb, edit_connection_cb, connection_double_clicked_cb):
			allow multiple connection editors
		- (nm_connection_list_run): new function; no longer modal so must
			monitor response from dialog and re-emit for listeners

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
		- (connection_editor_validate): new function; perform validation of the
			entire connection and set OK button accordingly
		- (connection_name_changed): revalidate when name changes
		- (nm_connection_editor_new): need a GConfClient and a GConf path
			to be able to save an existing connection
		- (page_changed): do complete validation if a page changes
		- (connection_editor_update_connection): save a connection back to
			GConf
		- (nm_connection_editor_run): no longer modal; so set up signals to
			monitor response from dialog, save connection as appropriate, and
			re-emit for listeners

2008-03-31  Dan Williams  <dcbw@redhat.com>

	* src/vpn-connection-info.c
	  src/vpn-connection-info.h
		- remove, unused

2008-03-31  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wireless.c
		- (wireless_device_state_changed, wireless_get_icon): notification
			serivce needs UTF-8 safe strings since they get sent to the
			notification daemon over D-Bus, so use the right SSID->string
			conversion function (rh #435384)

2008-03-31  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wireless.c
		- (activate_device_cb): fix for libnm-glib arguments change

	* src/applet.c
		- (activate_connection_cb): fix for libnm-glib arguments change
		- (make_vpn_failure_message, make_vpn_disconnection_message): new
			functions; do something with VPN errors
		- (vpn_connection_state_changed): show errors on VPN failure
		- (activate_vpn_cb): notify the user on VPN failure
		- (nma_menu_vpn_item_clicked): pass VPN connection name to
			activate_vpn_cb() so it knows what VPN connection failed

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-leap.c
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-simple.c
		- fill stuff in

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-ttls.c
		- (eap_method_ttls_new): fill anonymous username and CA cert

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-leap.c
		- (ws_leap_new): fill leap password and username

	* src/wireless-security/eap-method-tls.c
		- (eap_method_tls_new): fill passwords, identity, and certificates

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/main.c
		- (main): init the crypto system so that NSS and gnutls don't segfault
			when editing EAP-TLS and EAP-TTLS connections

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wpa-psk.c
		- (ws_wpa_psk_new): fill WPA key

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (security_combo_init): fix item counting to determine default security
			type

	* src/connection-editor/page-wireless-security.c
		- (ce_page_wireless_security_new): fix item counting to determine
			default security type

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_deactivate_cb, nma_menu_clear): punt the menu destruction
			to a low-priority idle handler so that any menu item 'activate'
			signals fire before the menu is destroyed

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_create): connect to the menu's deactivate signal
		- (nma_menu_deactivate_cb): free menu items (and thus devices) when
			the menu disappears to ensure that everything gets unreffed
			properly.  Previously, since the menu items would only get unreffed
			when the menu dropped down again, devices wouldn't get disposed of
			when NetworkManager went away, and when NM would start back up again,
			the applet would have a stale AP and device list.

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-wireless-security.c
		- (get_default_type_for_security): unencrypted connections shouldn't
			have a wireless-security setting
		- (ce_page_wireless_security_new): don't set the wireless-security
			setting if security isn't specified in the wireless setting; guess
			the WEP key type

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wep-key.h
		- (ws_wep_key_new): fill WEP keys from keyring
		- (ws_wep_guess_key_type): new function; guess the WEP key type for a
			given WEP connection's secrets

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (get_default_type_for_security): unencrypted connections shouldn't
			have a wireless-security setting
		- (security_combo_init): don't set the wireless-security setting if
			security isn't specified in the wireless setting
		- (nma_wireless_dialog_get_connection): handle unencrypted connections
			better

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
	  src/gconf-helpers/Makefile.am
		- (nm_gconf_get_keyring_items): new function; pull generic bits out
			of applet_exported_connection_get_secrets() so that the connection
			editor can use them too

	* src/applet-dbus-settings.c
		- (applet_exported_connection_get_secrets): pull keyring-reading stuff
			out into nm_gconf_get_keyring_items() and use that instead

2008-03-30  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
		- Add combo for specifying WEP key index

	* src/wireless-security/wireless-security.c
	  src/wireless-security/wireless-security.h
		- (ws_wep_fill_connection): fold into ws-wep-key.c's fill_connection()
			which is now it's only user

	* src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wep-key.h
		- (key_index_combo_changed_cb): new function; save current key to its
			index
		- (destroy): zero out keys
		- (fill_connection): fold in functionality of ws_wep_fill_connection(),
			handle WEP key index too
		- (ws_wep_key_new): select the WEP key index

	* src/wireless-dialog.c
		- (security_combo_init): only get default type for security if security
			is specified

	* src/connection-editor/page-wireless-security.c
		- (ce_page_wireless_security_new): only get default type for security
			if security is specified

2008-03-29  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (security_combo_init): fix active item handling

2008-03-29  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
		- remove the wep_passphrase_widget

	* src/wireless-security/ws-wep-passphrase.c
	  src/wireless-security/ws-wep-passphrase.h
	  src/wireless-security/Makefile.am
		- remove WEP passphrase widget

	* src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wep-key.h
		- Fold WEP passphrase widget into WEP key widget

	* src/wireless-dialog.c
	  src/connection-editor/page-wireless-security.c
		- WEP passphrase widget is now part of WirelessSecurityWEPKey

2008-03-26  Dan Williams  <dcbw@redhat.com>

	Patch from Tambet Ingo <tambet@gmail.com>

	* src/connection-editor/ce-page.[ch]: Add a "changed" signal so that the pages
	can tell when they change and the connection editor to notice it.

	* src/connection-editor/nm-connection-editor.c: Listen to the CEPage::changed
	signals, validate them, and update the dialog's "OK" button's sensitivity
	accordingly.
	(nm_connection_editor_run_and_close): Update the connection by iterating over
	all pages and letting each update their own part.

	* src/connection-editor/page-*.c: Add a stub for required "update_connection"
	virtual function.

	* src/connection-editor/page-wireless-security.c (ce_page_wireless_security_new):
	Fix a bug where the default wireless combo box would always be the first item.
	Don't take the "ok_button" argument, it's handled by the framework now.
	(validate): Implement.

2008-03-26  Dan Williams  <dcbw@redhat.com>

	Fixup to match libnm-glib VPN changes in NM r3504; handle VPN connections
	like any other connection and use NMClient to activate/deactivate then
	instead of the VPNManager.

2008-03-24  Dan Williams  <dcbw@redhat.com>

	Fixup to match libnm-glib changes in NM r3491

2008-03-19  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wireless.c
		- (wireless_dialog_response_cb): fix up for ActivateDevice ->
			ActivateConnection

	* src/applet.c
		- (applet_menu_item_activate_helper): fix up for ActivateDevice ->
			ActivateConnection
		- (applet_get_first_active_device,
		   applet_find_active_connection_for_device,
		   applet_get_exported_connection_for_device, clear_active_connections,
		   find_active_device): fix up for changes to GetActiveConnections

2008-03-19  Tambet Ingo  <tambet@gmail.com>

	* src/applet-device-wired.c: Implement asking DSL passwords.

2008-03-19  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (update_connection_timestamp): common function for updating connection
			timestamp
		- (vpn_connection_state_changed): update timestamp
		- (applet_common_device_state_change): use common timestamp update
			function
		- (nma_menu_vpn_item_clicked, add_one_vpn_connection): associate a VPN
			connection with its originating connection's dbus path

2008-03-18  Tambet Ingo  <tambet@gmail.com>

	Implement wired 802.1x authentication.

	* src/applet-device-wired.c (get_secrets_dialog_response_cb): Implement.
	(wired_get_secrets): Implement.

	* src/wired-dialog.[ch]: Implement.

	* src/Makefile.am: Add wired-dialog.[ch] to build.

2008-03-18  Dan Williams  <dcbw@redhat.com>

	* src/vpn-password-dialog.c
		- (nma_vpn_request_password): handle new GetSecrets return format

2008-03-18  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-upgrade.c
		- (try_convert_leap, nm_gconf_migrate_0_7_wireless_security): don't
			bother trying to convert already converted connections

2008-03-18  Dan Williams  <dcbw@redhat.com>

	* configure.ac
		- Convert check for iwlib into just check for wireless.h

	* src/wireless-helper.h
		- Stuff that's needed to include wireless.h

	* src/ap-menu-item.c
	  src/applet-device-wireless.c
	  src/applet.c
	  src/gconf-helpers/gconf-upgrade.c
	  src/utils/utils.c
		- Add missing includes, don't include iwlib.h

2008-03-17  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
		- (set_eap_info_label, info_dialog_update): handle spit-out 802.1x

	* src/gconf-helpers/gconf-upgrade.c
	  src/gconf-helpers/gconf-upgrade.h
		- (nm_gconf_read_0_6_eap_settings): copy to 802.1x, not wireless-security
		- (nm_gconf_read_0_6_leap_settings): fixup for new LEAP layout
		- (nm_gconf_read_0_6_wireless_connection): handle split-out 802.1x
		- (unset_ws_key, copy_stringlist_to_8021x, copy_string_to_8021x,
		   copy_bool_to_8021x): new functions
		- (try_convert_leap): convert a pre-split LEAP config
		- (copy_keyring_to_8021x): convert pre-split keyring items
		- (nm_gconf_migrate_0_7_wireless_security): split up wireless-security
			into 802.1x and wireless-security

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-helpers.h
		- (nm_gconf_get_all_connections): update GConf for split 802.1x
		- (read_one_setting_value_from_gconf,
		   read_applet_private_values_from_gconf,
		   copy_one_setting_value_to_gconf,
		   write_ignore_ca_cert_helper, write_one_private_string_value,
		   write_one_password, write_applet_private_values_to_gconf): update for
			split 802.1x
		- (nm_gconf_add_keyring_item): export

	* src/utils/utils.c
		- (utils_fill_connection_certs, utils_clear_filled_connection_certs):
			use 802.1x setting, not wireless-security

	* src/applet-device-wireless.c
		- (get_security_for_ap, wireless_new_auto_connection): handle split 802.1x
		- (add_one_setting): new function; add one setting to returned hash for
			GetSecrets response
		- (get_secrets_dialog_response_cb): update for returning multiple
			settings in GetSecrets response

	* src/wireless-security/eap-method-leap.c
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/ws-leap.c
	  src/wireless-security/eap-method-simple.c
	  src/wireless-security/eap-method-tls.c
		- Update for 802.1x split; these don't need to know _anything_ about
			wireless-security

	* src/wireless-security/wireless-security.c
		- (ws_802_1x_auth_combo_init, ws_802_1x_fill_connection): 802.1x, not
			wireless-security

	* src/applet-dbus-settings.c
		- (get_one_private_key, extract_secrets,
		   applet_exported_connection_get_secrets): update for 802.1x and
			new return signature of GetSecrets

2008-03-12  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wired.c
		- (add_default_connection_item): create & add a default connection item
		- (wired_add_menu_item): create the default connection item if there are
			no other connections

2008-03-12  Dan Williams  <dcbw@redhat.com>

	* configure.ac
		- Bring in the bits of gnome-common we actually use (all 15 lines)

	* src/Makefile.am
	  src/connection-editor/Makefile.am
	  src/main.c
	  src/vpn-properties/Makefile.am
	  src/vpn-properties/nm-vpn-properties.c
		- s/GNOMELOCALEDIR/NMALOCALEDIR

2008-03-12  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
		- (info_dialog_update): 802.11 speed is now in Kb/s

2008-03-12  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
		- (info_dialog_update): strdup returned hardware address to match
			changes in libnm-glib API

	* src/applet-device-wired.c
		- (wired_add_menu_item): carrier detect is a property of the
			wired object now, not the generic device object

2008-03-11  Tambet Ingo  <tambet@gmail.com>

	Add support for PPPoE.

	* src/utils/utils.c (connection_valid_for_wired): Add PPPoE connection 
	type to the list of valid connection types.

	* src/connection-editor/nm-connection-list.c (init_connection_lists): Add
	DSL connections.

	* src/connection-editor/nm-connection-editor.glade: Add DSL tab.

	* src/connection-editor/nm-connection-editor.c (nm_connection_editor_init):
	Fix a typo.
	(nm_connection_editor_set_connection): Handle PPPoE connection.

	* src/connection-editor/Makefile.am: Add new files to build.

	* src/connection-editor/ce-page-dsl.glade: 
	* src/connection-editor/page-dsl.c: 
	* src/connection-editor/page-dsl.c: New files.

2008-03-11  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wired.c
		- (add_default_wired_connection): no longer add a default wired
			connection; distros should create a system setting for wired and
			let the system settings service handle it

2008-03-07  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (foo_client_setup): adapt to libnm-glib changes due to NM D-Bus API
			change from 'StateChange' -> 'StateChanged'

2008-03-07  Dan Williams  <dcbw@redhat.com>

	* autogen.sh
		- Die gnome-common, die

2008-03-06  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (security_combo_changed): warn when nothing is selected in the security
			combo and don't crash

2008-03-02  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_exported_connection_new): don't return invalid exported
			connection

2008-02-28  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_settings_user_get_by_dbus_path): don't segfault on
			bad path
		- (applet_dbus_settings_get_by_gconf_path): don't segfault on bad path
		- (applet_exported_connection_new): don't leak a connection; the
			g_object_new() will reference the connection

	* src/applet-device-wired.c
		- (add_default_wired_connection): don't leak a connection; exporting
			the connection references it

	* src/applet.c
		- (applet_menu_item_activate_helper): don't leak a connection; exporting
			the connection references it

	* src/applet-device-wireless.c
		- (wireless_dialog_response_cb): find a compatible exported connection
			before creating a new one; don't leak connections either, and be
			sure to reference any connection passed to nma_wireless_dialog_new()
			since it will get unreffed on the dialog response.

2008-02-27  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/Makefile.am
	  connection-editor/ce-page.c
	  connection-editor/ce-page.h
		- Add the base CEPage class from which all other connection editor pages
			derive

	* connection-editor/page-ip4-address.c
	  connection-editor/page-ip4-address.h
	  connection-editor/page-ip4.c
	  connection-editor/page-ip4.h
	  connection-editor/page-wired.c
	  connection-editor/page-wired.h
	  connection-editor/page-wireless-security.c
	  connection-editor/page-wireless-security.h
	  connection-editor/page-wireless.c
	  connection-editor/page-wireless.h
		- Make each page a subclass of CEPage

	* connection-editor/nm-connection-editor.c
	  connection-editor/nm-connection-editor.h
		- Update for these changes; handle CEPage objects instead of just
			GtkWidgets

2008-02-25  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/page-wireless.c
		- (page_wireless_new): fill in SSID

2008-02-24  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (delete_connection_cb): fix removal of connections from the list
			and internal connection hash

2008-02-20  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_exported_connection_changed): use exact compare

2008-02-20  Dan Williams  <dcbw@redhat.com>

	* Adapt to NM changes in NMConnection and NMExportedConnection

	* Clean up a lot of the exported connection and settings handling

2008-02-14  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.glade
	  src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-list.h
		- Revamp the connection list; tabs for each connection type, show the
			time the last time the network was used, and hook up the
			double-click handler

2008-02-12  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_context_menu_create): give the Edit Connections menu item the
			stock edit icon

2008-02-07  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_edit_connections_cb): spawn connection editor

2008-02-07  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-list.h
		- Add an icon column to the list view showing what connection type each
			connection is

2008-02-05  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  icons/Makefile.am
	  icons/nm-device-wwan.png
		- Add a mobile broadband device icon

2008-02-04  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-cdma.c
	  src/applet-device-gsm.c
		- (cdma_add_menu_item, gsm_add_menu_item): add a default connection
			item when no connections are defined so that at least something can
			be picked from the menu

2008-02-01  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-gsm.c
		- (add_disconnect_item, gsm_menu_item_deactivate): add Disconnect...
			menu item, deactivate the device when it's selected
		- (gsm_add_menu_item): always display the device titles; never collapse
			a single connection into the device title

	* src/applet-device-cdma.c
		- (add_disconnect_item, cdma_menu_item_deactivate): add Disconnect...
			menu item, deactivate the device when it's selected
		- (cdma_add_menu_item): always display the device titles; never collapse
			a single connection into the device title

	* src/applet-device-wired.c
		- (wired_add_menu_item): always display the device titles; never collapse
			a single connection into the device title

2008-02-01  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wireless.c
		- (other_wireless_activate_cb, new_network_activate_cb): use
			gtk_window_present_with_time()

2008-02-01  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_add_separator_item): take a GtkWidget instead of a
			GtkMenuShell
		- (nma_menu_add_devices): don't add extra wireless menu items here, but
			return # of wireless devices
		- (nma_menu_add_vpn_submenu, nma_menu_add_vpn_submenu): pass a GtkWidget
			to nma_menu_add_separator_item()
		- (nma_menu_show_cb): add extra wireless items after the VPN menu
		- (nma_context_menu_create): pass a GtkWidget to
			nma_menu_add_separator_item(); put a separator between the
			"Enable Wireless" item and the "Connection Information" item

2008-01-28  Dan Williams  <dcbw@redhat.com>

	* po/POTFILES.in
		- Add new translatables

	* src/connection-editor/Makefile.am
		- Add new pae sources and glade files

	* src/connection-editor/page-wired.c
	  src/connection-editor/page-wired.h
	  src/connection-editor/ce-page-wired.glade
		- Split wired bits out

	* src/connection-editor/page-wireless.c
	  src/connection-editor/page-wireless.h
	  src/connection-editor/ce-page-wireless.glade
		- Split wireless bits out

	* src/connection-editor/page-wireless-security.c
	  src/connection-editor/page-wireless-security.h
		- Split wireless security bits out

	* src/connection-editor/page-ip4-address.c
	  src/connection-editor/page-ip4-address.h
	  src/connection-editor/ce-page-ip4-address.glade
		- Split IPv4 address bits out

	* src/connection-editor/page-ip4.c
	  src/connection-editor/page-ip4.h
	  src/connection-editor/ce-page-ip4.glade
		- Split IPv4 DNS & search domain bits out

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
	  src/connection-editor/nm-connection-editor.glade
		- Move all the settings pages to their own sources and glade files

2008-01-26  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.c
		- (adj_get_value_as_int): remove, use gtk_spin_button_get_value_as_int()
		- (spin_output_with_default): use gtk_spin_button_get_value_as_int()
		- (reset_channel, channel_value_changed_cb): remove
		- (channel_spin_input_cb, channel_spin_output_cb, band_value_changed_cb,
		   add_wireless_page): do the spinbutton munging the right way, with
			'output' and 'input' signals

2008-01-25  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.glade
		- Fix some adjustments so the default value is valid

	* src/connection-editor/nm-connection-editor.c
		- (add_wired_page, add_wireless_page): handle showing the default value
			the correct way, using the 'output' signal rather than the asstastic
			hack that was there before

2008-01-25  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-leap.c
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-simple.c
	  src/wireless-security/eap-method-tls.c
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method.c
	  src/wireless-security/wireless-security.c
	  src/wireless-security/ws-dynamic-wep.c
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wep-passphrase.c
	  src/wireless-security/ws-wpa-eap.c
	  src/wireless-security/ws-wpa-psk.c
		- Fix leaks; be sure to sink the notebook widgets obtained from Glade,
			then don't ref them again when passing them to the generic class
			init functions.  Make the generic class's unref handler clean up
			the generic class's data instead of the children having to do it.
			(rh #430178)

2008-01-25  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (add_device_to_model): fix leak of device name
		- (dialog_init): unconditionalize some code for GTK+ >= 2.6

2008-01-25  Dan Williams  <dcbw@redhat.com>

	* src/main.c
		- (main, setup_signals, signal_handler): trap SIGTERM and SIGINT and
			exit cleanly

2008-01-24  Dan Williams  <dcbw@redhat.com>

	Fix gnome.org #505899

	* src/applet.c
	  src/applet.h
		- (applet_find_active_connection_for_device): make public

	* src/applet-dialogs.c
		- (info_dialog_get_label): remove; use glade_xml_get_widget() instead
		- (set_eap_info_label): handle label creation for 802.1x and WPA
			Enterprise connections
		- (info_dialog_update): add a "Security" label that shows the security
			in use (wireless only for now); also hide the "Secondary DNS" label
			if there's only one DNS server.  Use glade_xml_get_widget() instead
			of info_dialog_get_label().
		- (applet_info_dialog_show): get the active connection for the active
			device and pass that on

2008-01-23  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wep-key.c
		- (wep_entry_filter_cb, ws_wep_key_new): filter key entry input and
			allow only those characters that the key algorithm allows.  Fixes
			gnome.org #332951

2008-01-23  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.c
	  src/applet-device-wireless.c
		- (applet_warning_dialog_show, other_wireless_activate_cb,
		   new_network_activate_cb): get the right behavior when faced with
			metacticy's focus stealing prevention; we really do want the key
			dialog to come up on top.  The issue is somewhat mitigated by the
			fact that any input won't really leak.

2008-01-21  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-wired.c
		- (add_connection_items): s/disabled/carrier; flip meaning
		- (wired_add_menu_item): s/disabled/carrier; flip meaning.  It's more
			clear this way.  (gnome.org #511099)

2008-01-21  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-gsm.c
		- (gsm_new_auto_connection): actually add the GSM setting to the
			connection object so it's valid
		- (gsm_get_icon): use wwan_icon member

	* src/applet.c
	  src/applet.h
		- (get_device_class): handle CDMA mobile broadband cards
		- (applet_menu_item_activate_helper): remove wrong check for connection
			!= NULL; if the connectoin is NULL then a default one should be
			created instead
		- (sort_devices): ethernet first, GSM second, CDMA third, wireless fourth
		- (nma_icons_free, nma_icons_load, constructor): gsm_icon -> wwan_icon

	* src/utils/utils.c
		- (connection_valid_for_cdma): new function
		- (utils_connection_valid_for_device): handle CDMA mobile broadband cards

	* src/applet-device-cdma.c
	  src/applet-device-cdma.h
	  src/Makefile.am
		- Add CDMA mobile broadband card support

2008-01-20  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_add_devices, foo_device_added_cb,
		   applet_get_device_icon_for_state,
		   applet_settings_new_secrets_requested_cb): handle unknown device
			types

2008-01-19  Dan Williams  <dcbw@redhat.com>

	* src/applet-device-gsm.c
		- (add_connection_items): new function; add each applicable connection
			as a menu item
		- (gsm_add_menu_item): when more than one connection applies, add each
			one as a menu item; when <= 1 apply, add the device as an active
			menu item; when multiple subitems are present, make the parent menu
			item text gray

	* src/applet-device-wireless.c
		- (add_new_ap_item): fix crash assigning a conneciton to the menu item
		- (add_one_ap_menu_item): pass active connection down too
		- (label_expose): remove
		- (wireless_add_menu_item): when multiple subitems are present, make the
			parent menu item text gray

	* src/applet-device-wired.c
		- (add_connection_items): new function; add each applicable connection
			as a menu item
		- (gsm_add_menu_item): when more than one connection applies, add each
			one as a menu item; when <= 1 apply, add the device as an active
			menu item; when multiple subitems are present, make the parent menu
			item text gray

	* src/applet.c
	  src/applet.h
		- (find_active_connection_for_device): new function; given a device,
			if the device is active or activating, find it's NMConnection
		- (nma_menu_add_devices): find the active connection for the device,
			and pass that to the device class' add_menu_item() handler

2008-01-19  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- (applet_dbus_settings_system_get_by_dbus_path): new function

2008-01-18  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
	  src/utils/utils.h
		- (utils_check_ap_compatible): make static; only used from utils.c now
		- (connection_valid_for_wireless): if an AP is provided, check
			compability of that first before doing device capability comparisons

	* src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- Rename applet_dbus_settings_get_by_dbus_path() -> 
			applet_dbus_settings_user_get_by_dbus_path()
		- (applet_dbus_settings_system_get_dbus_path): new function; return
			a system NMConnection object from it's D-Bus path
		- Rename applet_dbus_settings_get_by_connection() ->
			applet_dbus_settings_user_get_by_connection()
		- Rename applet_dbus_settings_add_connection() ->
			applet_dbus_settings_user_add_connection()

	* src/applet.c
	  src/applet.h
		- Remove the connection_filter() virtual function from NMADeviceClass,
			it's no longer needed
		- (applet_menu_item_activate_helper): take an NMConnection argument
			for the connection to activate.  If this argument is NULL, then
			create a new default connection for the object.  Handle system
			connections too when calling nm_client_activate_device()

	* src/applet-device-wired.c
		- (wired_connection_filter): remove
		- (wired_menu_item_activate): pass connection to
			applet_menu_item_activate_helper()
		- (wired_add_menu_item): get all connections valid for the device,
			and construct the connection sub-menu if there are more than one.
			Each menu item now keeps its applicable connection object around
			to pass to applet_menu_item_activate_helper().

	* src/applet-device-gsm.c
		- (gsm_connection_filter): remove
		- (gsm_menu_item_activate): pass connection to
			applet_menu_item_activate_helper()
		- (gsm_add_menu_item): get all connections valid for the device,
			and construct the connection sub-menu if there are more than one.
			Each menu item now keeps its applicable connection object around
			to pass to applet_menu_item_activate_helper().

	* src/applet-device-wireless.c
		- (wireless_connection_filter): remove
		- (wireless_menu_item_activate): pass connection to
			applet_menu_item_activate_helper()
		- (wireless_add_menu_item): filter all connections for the ones that
			apply to this device and pass that on to the real menu construction
			functions
		- (add_one_ap_menu_item): do new menu item construction elsewhere
		- (add_new_ap_item): get all connections valid for the device and the
			access point tied to this menu item, and construct the connection
			sub-menu if there are more than one. Each menu item now keeps its
			applicable connection object around to pass to
			applet_menu_item_activate_helper()

2008-01-17  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (foo_manager_running_cb): make sure to stop any ongoing animation
			idle handler if NM disappears

2008-01-17  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- (update_user_connections): new function; factor out common code to
			update user connections
		- (applet_dbus_settings_list_connections): use update_user_connections()
		- (applet_dbus_settings_get_all_connections): new function; return a
			a GSList of all connections (both system and user)

2008-01-17  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.h
	  src/utils/utils.c
		- (utils_filter_connections_for_device): new function; given a list of
			connections, return the subset of that list which could potentially
			be activated for a given device
		- (utils_connection_valid_for_device): new function; given a single
			connection, check whether the connection could potentially be
			activated for a specific device and specific_object (ie, an AP)
		- (connection_valid_for_gsm, connection_valid_for_wireless,
		   connection_valid_for_wired): new functions; implement device-specific
			connection validity checks
		- (utils_check_ap_compatible): move here and rename from
			src/applet-device-wireless.c::nm_ap_check_compatible() since
			connection_valid_for_wireless() needs to use it too

	* src/applet-device-wireless.c
		- (wireless_connection_filter): use utils_check_ap_compatible()
		- (nm_ap_check_compatible): move to utils.c as utils_check_ap_compatible()

2008-01-17  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (get_connection_for_selection): factor out common code to get a
			connection from the selected list item
		- (edit_connection_cb): use get_connection_for_selection()
		- (delete_connection_cb): implement
		- (load_connections): remove unused code

2008-01-15  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- Refactor device handling into lightweight "classes", one for each
			device, to focus applet.c more on state handling and general UI
			issues rather than a pile of device-specific code

	* src/menu-items.c
	  src/menu-items.h
		- Removed; though NMNetworkMenuItem was moved to ap-menu-item.c

	* src/ap-menu-item.c
	  src/ap-menu-item.h
		- New files; NMNetworkMenuItem moved here from menu-items.c

	* src/applet-device-gsm.c
	  src/applet-device-gsm.h
	  src/applet-device-wireless.c
	  src/applet-device-wireless.h
	  src/applet-device-wired.c
	  src/applet-device-wired.h
		- Implement the lightweight "classes" for each device type and move over
			the corresponding code from applet.c and menu-items.c

2008-01-14  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- Massive refactor of the NM event handling and tray icon code to
			separate out the event handling bits form the bits that determine
			which icon and tooltip to use

2008-01-14  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (read_one_setting_value_from_gconf): fix memory leaks; need to free
			the value read from GConf after calling g_object_set() becuase the
			g_object_set() call should copy the value, not take ownership

2008-01-13  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (dialog_init): fix memory leak

2008-01-13  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- Rearrange status icon signal handlers to reduce need for prototypes

2008-01-13  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- Rearrange constructor() and finalize() closer to the rest of the
			applet GObject related functions, and move icons-related functions
			there as well to reduce the need to prototypes.

2008-01-13  Dan Williams  <dcbw@redhat.com>

	* src/applet-dialogs.h
	  src/applet-dialogs.c
		- New files; move info and about dialog stuff here

	* src/Makefile.am
	  po/POTFILES.in
		- Add applet-dialogs.c, applet-dialogs.h

	* src/applet.c
	  src/applet.h
	  src/wireless-dialog.c
		- Updates for split out dialogs stuff

2008-01-11  Dan Williams  <dcbw@redhat.com>

	Require GTK+ 2.10 or higher and libnotify 0.4.3 or higher.

	* src/vpn-properties/Makefile.am
	  src/Makefile.am
		- Remove pre-GTK+ 2.10 bits

	* configure.ac
		- Require GTK+ 2.10 or higher
		- Require libnotify 0.4.3 or higher

	* src/applet.h
	  src/applet.c
		- Unconditionalize libnotify support
		- Delete pre-GTK+ 2.10 code
		- Remove some unused variables like 'is_adhoc' and 'top_menu_item'
		- Rename nma_send_event_notification() -> applet_do_notify()

	* src/eggtrayicon.c
	  src/eggtrayicon.h
	  COPYING.LIB
	  po/POTFILES.in
		- Remove eggtrayicon; no longer used

2008-01-11  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
	  src/utils/utils.h
		- (utils_ether_addr_valid): new function

	* src/applet.c
		- (add_seen_bssid): ensure BSSID is valid before saving it

2008-01-02  Dan Williams  <dcbw@redhat.com>

	Patch from Chris Aillon

	* src/vpn-properties/nm-vpn-properties.c
		- (main): fix leak of Glade XML on shutdown (gnome.org #506849)

2007-12-31  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.glade
	  src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
		- Hook wireless security widgets up 	

2007-12-31  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.glade
		- Add wireless security page widget

	* src/connection-editor/Makefile.am
		- Add wireless security libraries and includes directory

	* src/connection-editor/nm-connection-editor.c
		- (nm_connection_editor_set_connection): add wireless security page for
			wireless connections
		- (add_wireless_security_page, get_default_type_for_security,
		   get_widget): begin implementing wireless security page

2007-12-29  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (get_secrets_dialog_response_cb): save the connection after hashing
			the setting, because saving the connection to GConf can trigger the
			GConf notifiers, which re-read the connection from GConf and thus
			clear secrets

2007-12-27  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/sha1.c
		- Fix WPA passphrase generation on big endian (rh #426233)

2007-12-27  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wpa-psk.c
		- (fill_connection): Ad-Hoc connections use a key-mgmt value of
			'wpa-none', not 'wpa-psk'

	* src/wireless-dialog.c
	  src/wireless-dialog.h
		- (nma_wireless_dialog_new): new argument to indicate user-created
			Ad-Hoc networks
		- (dialog_init): handle user-created Ad-Hoc networks
		- (security_combo_init): determine whether or not the network being
			modified is Ad-Hoc and pass that status to nm_utils_security_valid()

	* src/applet.c
		- (applet_settings_new_secrets_requested_cb, get_more_info,
		   other_wireless_activate_cb): handle new adhoc argument for
			nma_wireless_dialog_new()
		- (new_network_item_selected): implement
		- (wireless_dialog_response_cb): don't autoconnect to Ad-Hoc networks
			by default

2007-12-24  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/Makefile.am
		- Include utils for channel<->frequency conversion functions

	* src/utils/utils.c
	  src/utils/utils.h
		- (utils_freq_to_channel, utils_channel_to_freq, utils_find_next_channel):
			add channel<->frequency conversion and helper functions

	* src/connection-editor/nm-connection-editor.glade
		- Fix connection editor pages so they are editable in Glade

	* src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
		- Fix up page handling; the connection editor object, when calling
			glade_xml_new(), must not allow Glade to parse and construct the
			connection _list_ dialog box; otherwise when the connection editor
			object gets destroyed it'll destroy the cached copy of the connection
			list object too, resulting in badness.
		- Make spinbuttons show 'default' when the value is the default value
		- Make the Channel spinbutton snap to the correct next channel when
			it's changed, and disable it when the Band option is 'default'

2007-12-22  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.c
		- (add_wireless_page): clean up default property handling

2007-12-22  Dan Williams  <dcbw@redhat.com>

	* src/connection-editor/main.c
	  src/connection-editor/nm-connection-editor.c
	  src/connection-editor/nm-connection-editor.h
	  src/connection-editor/nm-connection-editor.glade
	  src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-list.h
		- Start cleaning up the connection editor

2007-12-22  Dan Williams  <dcbw@redhat.com>

	Patch from Christian Persch <chpe@gnome.org> (gnome.org #503831)

	* src/applet.c
		- (about_dialog_handle_url_cb, about_dialog_handle_email_cb): use the
			screen the about dialog is on, not the default screen

2007-12-17  Dan Williams  <dcbw@redhat.com>

	Patch from Jaap A. Haitsma <jaap@haitsma.org>

	* src/applet.c
		- (nma_about_cb, about_dialog_handle_email_cb,
		   about_dialog_handle_url_cb, nma_constructor): set default window
			icon, make email links clickable, set website label (gnome.org #503831)

2007-12-14  Dan Williams  <dcbw@redhat.com>

	* src/vpn-properties/nm-vpn-properties.c
		- (init_app): hook up a double-click handler; select first item in the
			list if there is one (gnome.org #334883)

2007-12-13  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- Get Connections from the system settings daemon if it's around, and
			track changes to those Connections	

2007-12-13  Dan Williams  <dcbw@redhat.com>

	* nm-applet.conf
		- Allow other apps to query connections

2007-12-10  Dan Williams  <dcbw@redhat.com>

	Noticed by Christian Persch <chpe@gnome.org> (gnome.org #500516)

	* configure.ac
		- Require gmodule-export package

	* src/connection-editor/Makefile.am
	  src/connection-editor/byte-array-editor.c
	  src/connection-editor/nm-connection-editor.glade
		- HIG-ify

2007-12-10  Tambet Ingo  <tambet@gmail.com>

	* Replace all occurences of 'UMTS' with 'GSM'.

2007-12-07  Dan Williams  <dcbw@redhat.com>

	Patch from Jani Monoses <jani@ubuntu.com>

	* configure.ac
	  src/main.c
	  src/vpn-properties/Makefile.am
		- Drop last libgnome dep for GTK > 2.10 (gnome.org #471967)

2007-12-07  Dan Williams  <dcbw@redhat.com>

	Noticed by Christian Persch <chpe@gnome.org>

	* src/menu-items.c
		- (nm_network_menu_item_class_dispose): always chain up to parent when
			disposing

2007-12-07  Dan Williams  <dcbw@redhat.com>

	Patch from Christian Persch <chpe@gnome.org>

	* src/vpn-properties/nm-vpn-properties.c
		- (vpn_druid_vpn_confirm_page_prepare): fix the object the confirm text
			gets applied to
		- (init_app): Fix spacing around elements to better conform to HIG

2007-12-07  Dan Williams  <dcbw@redhat.com>

	Patch from Christian Persch <chpe@gnome.org>

	* src/vpn-properties/nm-vpn-properties.c
		- (main): don't call gtk_init() twice (gnome.org #473287)

2007-12-05  Dan Williams  <dcbw@redhat.com>

	* COPYING.LIB
		- Because we distribute eggtrayicon, need to include the LGPL too
			(gnome.org #449111)

2007-12-05  Dan Williams  <dcbw@redhat.com>

	* src/vpn-properties/nm-vpn-properties.c
		- (vpn_druid_vpn_confirm_page_finish, edit_cb): ensure that the edited
			VPN connection has a vpn-properties setting to work around previous
			bugs where the vpn-properties setting wouldn't be created and saved

2007-12-05  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (get_vpn_connections): don't show VPN connections that don't have
			the VPN Properties item

2007-12-05  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (add_one_vpn_connection): don't crash on connections that are actually
			invalid but that the applet shows anyway.  Still need a better way
			to fix this.
		- (nma_menu_vpn_item_clicked): clarify action when the selected VPN
			connection is already active

2007-12-05  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_changed): fix logic decision on
			connection comparison; replace settings rather than replacing the
			whole connection itself

2007-12-05  Dan Williams  <dcbw@redhat.com>

	* src/vpn-properties/nm-vpn-properties.c
		- (fixup_nm_connection_vpn): ensure the resulting NMConnection is valid
			before trying to use it

2007-12-04  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (wireless_dialog_response_cb): ensure that the connection gets updated
			when it's not a new connection
		- (get_secrets_dialog_response_cb): don't nag the user about the CA cert
			if they elected to ignore the warning

2007-12-04  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-ttls.c
		- (fill_connection): correctly handle & update the CA certificate
			ignore option

2007-12-04  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method.c
	  po/POTFILES.in
		- (eap_method_default_file_chooser_filter_new): add a filter name

2007-11-29  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c (find_connection): Handle UMTS setting.
	(new_auto_umts_setting): Implement.
	(new_auto_connection): Handle UMTS device.
	(nma_menu_add_device_item): Ditto.
	(foo_device_state_changed): Ditto.
	(foo_umts_state_change): Implement.
	(nma_icons_free): Free UMTS device icon.
	(nma_icons_load_from_disk): Load UMTS device icon. For now, use the adhoc icon.

	* src/menu-items.c (umts_menu_item_new): Implement.

	* src/gconf-helpers/gconf-helpers.c (read_one_setting_value_from_gconf): Handle
	int and char types as well.
	(copy_one_setting_value_to_gconf): Ditto.

2007-11-26  Dan Williams  <dcbw@redhat.com>

	* Fix warnings so everything compiles with --enable-more-warnings

2007-11-21  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method.c
		- (default_filter): only allow files with .pem or .der extensions until
			pkcs12 support is written

2007-11-19  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nag_dialog_response_cb, wireless_dialog_response_cb): fix possible
			infinite loop of the no-CA-cert nag dialog when not permanently
			ignoring the warning

2007-11-19  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method-ttls.c
		- (nag_dialog_response_cb): fix copy & paste error causing segfaults
			with the CA cert nag dialog

2007-11-19  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.h
	  src/wireless-dialog.c
		- (nma_wireless_dialog_get_connection): return the AP this dialog was
			for, if any

	* src/applet.c
		- (nma_menu_item_activate): simplify; if the connection was invalid as
			created (ie, like EAP-TTLS requires either identity or anonymous
			identity), then show the wireless security dialog to get that info
			before attempting to connect
		- (other_wireless_response_cb): grab the specific object path of the AP
			the security was for when trying to connect

2007-11-19  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_settings_add_connection): save the connection to GConf
			after adding it to the connection list to avoid the GConf key
			change notification firing before the connection was added to
			the connection list
		- (applet_dbus_connection_settings_changed,
		   applet_dbus_connection_settings_new,
		   applet_dbus_connection_settings_new_from_connection): fill certs
			before verifying the connection, because some EAP types (TLS for
			example) require a private key to be valid

2007-11-16  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_info_dialog_update): actually show secondary DNS server address
			instead of primary DNS server address twice

2007-11-16  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (get_security_for_ap): fix default proto for WPA Enterprise

2007-11-16  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.h
	  src/utils/utils.c
	  src/utils/Makefile.am
	  src/Makefile.am
		- (utils_fill_connection_certs, utils_clear_filled_connection_certs):
			move these functions to a more general place

	* src/applet.c
		- (get_secrets_dialog_response_cb): use utils versions of fill and clear

	* src/applet-dbus-settings.h
	  src/applet-dbus-settings.c
		- (applet_dbus_settings_connection_fill_certs,
		   applet_dbus_settings_connection_clear_filled_certs): move to utils
		- (applet_dbus_connection_settings_changed,
		   applet_dbus_connection_settings_get_settings): use utils versions
			of fill and clear

2007-11-15  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
		- (utils_get_device_description): don't try to free device and vendor
			values that are actually const

2007-11-15  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (get_secrets_dialog_response_cb): pop up the CA cert nag dialog on
			GetSecrets calls too

2007-11-15  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/Makefile.am
	  src/wireless-security/eap-method-peap.h
	  src/wireless-security/eap-method-peap.c
	  src/wireless-security/eap-method.h
	  src/wireless-security/wireless-security.c
	  src/applet.glade
		- Add EAP-PEAP support

2007-11-15  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.h
	  src/utils/utils.c
		- (utils_fill_one_crypto_object): new function; move fill_one_object()
			here and generalize a bit.  EAP-TLS bits need to use it too.

	* src/applet-dbus-settings.c
		- (fill_one_object): move to utils.c
		- (applet_dbus_settings_connection_fill_certs,get_one_private_key): use
			utils version of fill_one_object()
		- (extract_secrets): remove unnecessary check for empty secrets table

	* src/wireless-security/eap-method-tls.c
		- (fill_connection): make EAP-TLS actually work by sending the private
			key

2007-11-15  Dan Williams  <dcbw@redhat.com>

	* applet-dbus-settings.c
	  applet.c
	  connection-editor/nm-connection-editor.c
	  connection-editor/nm-connection-list.c
	  gconf-helpers/gconf-helpers.c
	  gconf-helpers/gconf-upgrade.c
	  gconf-helpers/gconf-upgrade.h
	  vpn-password-dialog.c
	  vpn-properties/nm-vpn-properties.c
		- Fix for NMSettingConnection 'name' -> 'id' change

2007-11-13  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_show_info_cb, nma_info_dialog_update): handle dialog hiding and
			destruction correctly, and fix hardware address text on second and
			later exposes of the dialog

2007-11-13  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method-tls.c
		- (fill_connection): fix leakage of return value from
			gtk_file_chooser_get_filename() which returns an allocated value

2007-11-13  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (security_combo_init): change "WPA Pre-shared Key" to
			"WPA & WPA2 Personal" to harmonize with more standard terms

2007-11-13  Dan Williams  <dcbw@redhat.com>

	* configure.ac
		- Add libnm-util to pkgconfig check (gnome.org #495465)

2007-11-12  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.h
	  src/gconf-helpers/gconf-helpers.c
		- (nm_gconf_write_connection): don't need a key filter helper func any
			more
		- Add tags for private key passwords
		- (read_one_setting_value_from_gconf, copy_one_setting_value_to_gconf):
			handle certs differently, and create a generic mechanism for filtering
			keys that don't get written to GConf
		- (read_applet_private_values_from_gconf): handle certs & private key
			paths here
		- (write_applet_private_values_to_gconf, write_one_private_string_value,
		   write_one_password): rework how storing applet private bits are done
			and store private key passwords in the keyring

	* src/vpn-properties/nm-vpn-properties.c
	  src/gconf-helpers/gconf-upgrade.c
		- Fix for removal of key filter func from nm_gconf_write_connection

	* src/applet-dbus-settings.h
	  src/applet-dbus-settings.c
		- (fill_one_object): remove useless argument
		- (applet_dbus_settings_connection_fill_certs,
		   applet_dbus_settings_connection_clear_filled_certs): take a
			AppletDbusConnectionSettings instead of an NMConnection for
			consistency
		- (vpn_user_name_filter_cb): remove, un-needed
		- (get_one_private_key): new function; grab a private key path from
			a connection, and populate the correct field with a given private
			key password
		- (extract_secrets): new function; move core secrets code out for clarity
		- (applet_dbus_connection_settings_get_secrets): clean up error reporting,
			move secrets code out to extract_secrets()

	* src/wireless-security/eap-method-tls.c
		- (fill_connection): private key passwords aren't set in the connection
			any more, they are set as tags on the connection GObject

2007-11-09  Dan Williams  <dcbw@redhat.com>

	* src/utils/Makefile.am
	  src/utils/crypto.c
	  src/utils/test-crypto.c
		- Spin crypto test code off into it's own tool

2007-11-09  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/vpn-password-dialog.c
		- Fix for removal of nm_settings_new_error()

2007-11-08  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-tls.c
	  src/wireless-security/eap-method-ttls.c
	  po/POTFILES.in
		- (eap_method_ttls_new, setup_filepicker, eap_method_tls_new): set
			filepicker titles

2007-11-08  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method.h
	  src/wireless-security/eap-method.c
		- (eap_method_default_file_chooser_filter_new): new function; default
			file filter for certificate file choosers

	* src/wireless-security/eap-method-tls.c
		- (setup_filepicker): use certificate file filter

	* src/wireless-security/eap-method-ttls.c
		- (eap_method_ttls_new): use certificate file filter

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (find_tag, file_to_g_byte_array): remove
		- (fill_one_object): use crypto bits to read certificates and read
			and decrypt private keys
		- (applet_dbus_settings_connection_fill_certs): use fill_one_object()

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method.h
	  src/wireless-security/eap-method.c
		- (eap_method_validate_filepicker): move validate_filepicker()
			implementations here and actually do some validation

	* src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method-tls.c
		- (validate): use common eap_method_validate_filepicker()

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_finalize): deinit crypto bits
		- (nma_constructor): init crypto bits

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* src/utils/crypto.h
	  src/utils/crypto.c
		- Fix linkage of nm_crypto_error_quark() by moving implementation to
			the .c file
		- Provide an enum for NM_CRYPTO_KEY_TYPE_*
		- (decrypt_key): avoid possible memory leak

	* src/utils/crypto_nss.c
	  src/utils/crypto_gnutls.c
		- (crypto_decrypt): don't overrun the buffer on error

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* src/utils/crypto.c
	  src/utils/crypto_gnutls.c
	  src/utils/crypto_nss.c
		- Make an effort not to leak key material after errors

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/gconf-upgrade.c
		- (nm_gconf_migrate_0_7_vpn_connections, nm_gconf_get_all_connections):
			update the service_type key name to service-type due to NMSetting
			changes

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
		- Add a generic alert dialog

	* src/wireless-dialog.h
	  src/wireless-dialog.c
	  	- (security_combo_init): pass the connection along to the security
	  		methods so they can do things like set defaults
	  	- (nma_wireless_dialog_nag_user): if the user didn't enter something
	  		they should really have (like a CA certificate) but we still want
	  		to allow the connection to proceed, add a mechanism for querying the
	  		WirelessSecurity and EAPMethods whether the user should be gently
	  		alerted to that fact

	* src/wireless-security/ws-wep-passphrase.h
	  src/wireless-security/ws-wep-passphrase.c
	  src/wireless-security/ws-leap.h
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-wep-key.h
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wpa-psk.h
	  src/wireless-security/ws-wpa-psk.c
	  src/wireless-security/ws-dynamic-wep.h
	  src/wireless-security/ws-dynamic-wep.c
		- (ws_wep_passphrase_new, ws_leap_new, ws_wep_key_new, ws_wpa_psk_new):
			accept 'connection' argument

	* src/wireless-security/eap-method-leap.h
	  src/wireless-security/eap-method-leap.c
	  src/wireless-security/eap-method-simple.h
	  src/wireless-security/eap-method-simple.c
		- (eap_method_leap_new, eap_method_simple_new): accept 'connection'
			argument, fill in default identity if provided

	* src/wireless-security/wireless-security.h
	  src/wireless-security/wireless-security.c
		- (wireless_security_nag_user): call subclass nag_user method
		- (ws_802_1x_auth_combo_init): grab the default EAP method out of the
			wireless security object, if given; pass connection along to the
			EAP method objects
		- (ws_802_1x_nag_user): pass the nag request down to the active EAP
			method object

	* src/wireless-security/ws-dynamic-wep.h
	  src/wireless-security/ws-dynamic-wep.c
	  src/wireless-security/ws-wpa-eap.h
	  src/wireless-security/ws-wpa-eap.c
		- (nag_user): pass nag request off to ws_802_1x_nag_user()
		- (ws_dynamic_wep_new, ws_wpa_eap_new): accept 'connection' argument,
			pass it along to the generic 802.1x setup function

	* src/wireless-security/eap-method-ttls.h
	  src/wireless-security/eap-method-ttls.c
		- (validate_filepicker): allow blank file
		- (validate): don't return invalid if the CA certificate wasn't chosen
		- (fill_connection): clear the CA cert path if a CA cert wasn't chosen
		- (nag_dialog_destroy, nag_dialog_response_cb, nag_user): bring up the
			alert dialog if the user didn't choose a CA cert and ask them if
			they really wanted to choose one but just forgot
		- (inner_auth_combo_init): pass the connection on to the EAP methods
		- (eap_method_ttls_new): accept 'connection' argument, set up the nag
			dialog

	* src/wireless-security/eap-method-tls.h
	  src/wireless-security/eap-method-tls.c
		- (validate_filepicker): allow blank file
		- (validate): don't return invalid if the CA certificate wasn't chosen
		- (fill_connection): clear the CA cert path if a CA cert wasn't chosen,
			fix for EAP-TLS as a phase2 auth method
		- (nag_dialog_destroy, nag_dialog_response_cb, nag_user): bring up the
			alert dialog if the user didn't choose a CA cert and ask them if
			they really wanted to choose one but just forgot
		- (eap_method_tls_new): accept 'connection' argument, set up the nag
			dialog

	* src/wireless-security/eap-method.h
	  src/wireless-security/eap-method.c
		- Add a class method for nagging the user about stuff
		- (eap_method_nag_user): new function; pass request off to subclass

	* src/wireless-security/Makefile.am
		- Add gconf-helpers to the includes path to pick up standardized applet
			private tags

	* src/applet.c
		- (ow_dialog_close, nag_dialog_response_cb, other_wireless_response_cb):
			handle alerting the user to stuff, like not selecting a CA
			certificate and allowing the connection to proceed if the user
			decides to ignore that alert

2007-11-07  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (read_applet_private_values_from_gconf, write_ignore_ca_cert_helper, 
		   write_applet_private_values_to_gconf, nm_gconf_write_connection,
		   read_one_setting): read & write applet private values to GConf when
			reading & writing the connection

2007-11-07  Tambet Ingo  <tambet@gmail.com>

	* src/*: The NMSetting API changed significantly, adapt the changes.

	* src/gconf-helpers/gconf-helpers.c 
	(copy_one_setting_value_to_gconf):
	(read_one_setting_value_from_gconf): Now that the NM_S_TYPE_* types are gone,
	convert between GType / GConf types.

2007-11-06  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.h
		- #define the applet private connection tags that are used for things
			not passed to NetworkManager directly in the connection info

	* src/gconf-helpers/gconf-upgrade.c
		- Use the new tags

2007-11-06  Dan Williams  <dcbw@redhat.com>

	* src/utils/crypto.c
	  src/utils/crypto.h
	  src/utils/crypto_nss.c
	  src/utils/crypto_gnutls.c
	  src/utils/Makefile.am
	  configure.ac
		- Add bits to handle decoding certificates and keys, and for decrypting
		private keys to send to the supplicant.  Implementations for NSS and
		gnutls are provided with NSS as the default unless selected differently
		at configure time with --with-nss=[yes|no] and --with-gnutls=[yes|no]

2007-10-31  Dan Williams  <dcbw@redhat.com>

	* src/utils/utils.c
	  src/utils/utils.h
		- (utils_get_device_description): new function; be more clever about
			constructing the device description from the product and vendor
			strings

	* src/wireless-dialog.c
		- (add_device_to_model): use add_device_to_model()

	* src/applet.c
		- (sort_devices): use add_device_to_model(), don't segfault if a
			description can't be created (rh #337191)

	* src/menu-items.c
		- (add_device_to_model): use add_device_to_model()

2007-10-27  Dan Williams  <dcbw@redhat.com>

	Patch from Dan Winship <dwinship@redhat.com>

	* gconf-helpers/gconf-helpers.c
	  gconf-helpers/gconf-helpers.h
		- (nm_gconf_get_all_connections): convert entries if needed

	* gconf-helpers/Makefile.am
	  gconf-helpers/gconf-upgrade.c
	  gconf-helpers/gconf-upgrade.h
		- Convert GConf entries from old format to new format

	* gconf-helpers/Makefile.am
	  vpn-properties/nm-vpn-properties.c
	  connection-editor/nm-connection-list.c
		- Use nm_gconf_get_all_connections() to convert old format entries to
			new format if needed

2007-10-27  Dan Williams  <dcbw@redhat.com>

	* src/Makefile.am
	  src/password-dialog.c
	  src/password-dialog.h
	  src/applet.glade
	  src/applet-dbus-settings.c
		- Remove the old password dialog code

2007-10-27  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (get_default_type_for_security): fix crash when using WPA

2007-10-27  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_send_event_notification): don't show notification bubbles if
			the status icon isn't visible

2007-10-26  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (dialog_init): fix dialog text when just asking for secrets

2007-10-26  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_update_info): update for speed/bitrate type changes

2007-10-26  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_constructor, applet_add_default_ethernet_connection): add a
			default ethernet connection if no connections were found.  Helps
			out livecds.

2007-10-26  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  vpn-password-dialog.c
		- Ensure errors are returned to NM when something goes wrong with
			the GetSecrets request, or when the VPN auth dialog is
			canceled

2007-10-26  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (security_combo_init): don't try accessing EAP method if EAP isn't
			configured

2007-10-26  Dan Williams  <dcbw@redhat.com>

	* (clear_vpn_details_widget, vpn_druid_vpn_type_page_next, edit_cb): use
		gtk_container_add/gtk_container_remove instead of reparenting widget

2007-10-25  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_get_secrets): fix logic of adding
			secrets to hash table to pass back to NM.  Add _each_ secret
			found to the hash table and pass the whole hash back to NM.

2007-10-25  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.c
		- (get_default_type_for_security): avoid dereferencing auth_alg when
			it's NULL

2007-10-25  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wpa-psk.c
		- (ws_wpa_psk_new): hide Type combo as it's not being used yet

2007-10-24  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (file_to_g_byte_array): handle PEM format certificates too

2007-10-24  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (add_seen_bssid): don't segfault when the AP's bssid isn't valid

2007-10-24  Dan Williams  <dcbw@redhat.com>

	* src/menu-items.h
	  src/menu-items.c
		- (nm_network_menu_item_set_ssid): use nm_utils_ssid_to_utf8()
		- (eel_make_valid_utf8, nm_menu_network_escape_essid_for_display):
			remove

2007-10-24  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/wireless-security.c
	  src/wireless-security/wireless-security.h
		- (ws_802_1x_auth_combo_init): add a 'default_method' argument used to
			pick the default EAP method when shown to the user

	* src/wireless-security/ws-dynamic-wep.c
	  src/wireless-security/ws-dynamic-wep.h
	  src/wireless-security/ws-wpa-eap.c
	  src/wireless-security/ws-wpa-eap.h
		- Handle 'default_method' argument

	* src/wireless-dialog.c
		- (device_combo_changed): pass NMConnection to security_combo_init() if
			available
		- (get_default_type_for_security): determine the default overall
			security type for a specific connection to better show defaults
			in the UI
		- (security_combo_init): pick the right default security based on 
			the given NMConnection, if any; if the AP is capable of WPA or WPA2
			then don't show the static WEP or LEAP options; pass the connection
			along to the WPA-EAP and Dynamic WEP security items

2007-10-24  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (get_security_for_ap): don't allow options the device can't do; fix
			the 'pairwise' argument in calls to add_ciphers_from_flags(); 
			implement the WPA[2] Enterprise bits
		- (new_auto_wireless_setting): pass the device capabilities to
			get_security_for_ap()

2007-10-23  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_changed): don't update a connection
			and send out the updated signal unless the connection is really
			updated

2007-10-23  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (match_cipher, security_compatible): remove, use
			nm_utils_ap_security_compatible() from libnm-util
		- (nm_ap_check_compatible): check BSSID too
		- (save_secrets_to_keyring): remove
		- (get_secrets_dialog_response_cb): save entire connection to GConf
			rather than just saving secrets, allows the user to change security
			settings for APs for which NM can't determine the security
			(LEAP and Dynamic WEP) and also switch EAP methods correctly

2007-10-23  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- (applet_dbus_settings_get_by_connection): new function; return the
			AppletDbusConnectionSettings object that wraps an NMConnection

2007-10-22  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
	  src/wireless-security/ws-dynamic-wep.c
	  src/wireless-security/ws-dynamic-wep.h
	  src/wireless-security/Makefile.am
	  src/wireless-dialog.c
		- Add Dynamic WEP authentication option

2007-10-22  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/ws-wpa-eap.c
		- Use generic 802.1x methods from wireless-security.c

2007-10-22  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/wireless-security.c
	  src/wireless-security/wireless-security.h
		- (ws_802_1x_auth_combo_init, ws_802_1x_auth_combo_changed,
		   ws_802_1x_validate, ws_802_1x_add_to_size_group,
		   ws_802_1x_fill_connection): genericize 802.1x-related methods so that
			both WPA-EAP and Dynamic WEP can use them

2007-10-21  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (other_wireless_response_cb): do something with the connection the
			user specified in the other wireless network dialog

2007-10-19  Dan Williams  <dcbw@redhat.com>

	The applet needs to save only _paths_ to certificates, not the actual
	contents itself.  NetworkManager needs the contents though, so keep track
	of the paths in GConf and then put the contents of a certificate into the
	connection right before sending it back to NetworkManager.

	* src/gconf-helpers/gconf-helpers.c
		- (read_one_setting_value_from_gconf): intercept and read certificate
			paths
		- (copy_one_setting_value_to_gconf): intercept and write certificate
			paths

	* src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- (applet_dbus_settings_connection_fill_certs): read certificate files
			and stuff their contents into the connection object
		- (applet_dbus_settings_connection_clear_filled_certs): clear out
			certificate contents from the connection object
		- (applet_dbus_connection_settings_changed,
		   applet_dbus_connection_settings_get_settings): convert paths to
			certificate contents when needed

	* src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method-tls.c
		- (fill_connection): save paths, not certificate contents

	* src/applet.c
		- (other_wireless_response_cb, get_secrets_dialog_response_cb): convert
			paths to certificate contents when needed

2007-10-19  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
	  src/wireless-security/eap-method-tls.c
		- Allow hiding of the private key password

2007-10-19  Dan Williams  <dcbw@redhat.com>

	* nm-applet.conf
		- Define and lock down the Connection.Secrets interface

	* src/applet-marshal.list
	  src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- Don't handle secrets UI here; instead emit signals and let the
			applet code handle the UI bits
		- (applet_dbus_settings_class_init): add new-secrets-requested signal
		- (connection_new_secrets_requested_cb): proxy signals from connection
			objects
		- (connections_changed_cb, get_connections,
		   applet_dbus_settings_add_connection): connect to the
			new-secrets-requested signal of connection objects
		- (applet_dbus_connection_settings_class_init): add new-secrets-requested
			signal
		- (get_secrets): remove
		- (applet_dbus_connection_settings_get_secrets): when new secrets are
			requested, emit a signal and let the listener handle the request

	* src/applet.c
		- (save_secrets_to_keyring): write secrets from a connection to the
			keyring
		- (get_secrets_dialog_response_cb): new function
		- (get_connection_details): track down a specific connection in the
			active connection list
		- (applet_settings_new_secrets_requested_cb): display UI for getting
			wireless secrets

	* src/wireless-dialog.c
		- (create_device_model): be sure to update number of devices before
			returning
		- (security_combo_init): fix placement of WEP passphrase option
		- (dialog_init): don't leave focus on the ssid entry if it gets hidden

2007-10-17  Dan Williams  <dcbw@redhat.com>

	* src/wireless-dialog.h
	  src/wireless-dialog.c
	  src/applet.c
		- Work with multiple wireless cards
		- Make more suitable to password entry as opposed to full-blown
			Other Network setup

2007-10-17  Dan Williams  <dcbw@redhat.com>

	* nm-applet.desktop
		- Remove OnlyShowIn; the applet is supposed to be shown anywhere anyway
			(rh #336021)

2007-10-16  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
	  src/wireless-security/eap-method-ttls.h
	  src/wireless-security/eap-method-ttls.c
	  src/wireless-security/eap-method-simple.h
	  src/wireless-security/eap-method-simple.c
	  src/wireless-security/eap-method.h
	  src/wireless-security/Makefile.am
	  src/wireless-security/ws-wpa-eap.c
		- Add EAP-TTLS and a few simple EAP phase2 widgets

2007-10-16  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_context_menu_update): Wireless Enabled item should be insensitive
			when wireless is disabled in hardware and when NM is asleep

2007-10-16  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/eap-method-leap.c
		- (show_toggled_cb, eap_method_leap_new): hook up "Show Password"
			checkbox

2007-10-16  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
		- Add EAP-LEAP widget

	* src/wireless-security/wireless-security.h
	  src/wireless-security/wireless-security.c
		- (wireless_security_get_g_type): new function; return GType for
			WirelessSecurity objects
		- (wireless_security_ref, wireless_security_unref): add refcounting
			capability to WirelessSecurity objects
		- (wireless_security_destroy): remove; use refcounting instead
		- (wireless_security_init): centralize common WirelessSecurity init code

	* src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-wpa-psk.c
	  src/wireless-security/ws-wep-passphrase.c
		- Use common WirelessSecurity init code
		- Fix xml->glade_file typo in init method of some WirelessSecurity objects

	* src/wireless-security/eap-method.h
	  src/wireless-security/eap-method.c
		- (eap_method_get_g_type): new function; return GType for EAPMethod
			objects
		- (eap_method_ref, eap_method_unref): add refcounting capability to
			EAPMethod objects
		- (eap_method_destroy): remove; use refcounting instead
		- (eap_method_init): centralize common EAPMethod init code

	* src/wireless-security/ws-wpa-eap.c
		- Use common WirelessSecurity init code
		- (destroy): let the Authentication combo hold references to EAPMethods
			and destroy them when the combo's model gets destroyed
		- (validate, fill_connection, auth_combo_changed_cb): need to unref the
			EAPMethod after getting it from the list store
		- (add_to_size_group): be sure to ref the size group because it gets
			kept around; need to unref the EAPMethod after getting it from the
			list store
		- (auth_combo_init): add EAP-LEAP to the available authentication
			methods; unref the EAPMethod after the list store takes it; unref
			the Authentication list store after the combo box takes it
		- (ws_wpa_eap_new): Use common WirelessSecurity init code

	* src/wireless-security/eap-method-tls.c
		- (eap_method_tls_new): Use common EAPMethod init code

	* src/wireless-security/Makefile.am
	  src/wireless-security/eap-method-leap.h
	  src/wireless-security/eap-method-leap.c
		- Add EAP-LEAP method

	* src/wireless-dialog.c
		- (security_combo_changed, ssid_entry_changed): need to unref the
			WirelessSecurity object after getting it from the list store
		- (create_device_model): change device column in list store to a
			G_TYPE_OBJECT so that the list store will refcount the devices
		- (destroy_device_model): don't need to free devices because the list
			refcounts them
		- (destroy_security_model): remove; WirelessSecurity objects are
			refcounted now
		- (add_security_item): drop the initial reference on the security
			object because the list store is now handling references
		- (security_combo_init): change the WirelessSecurity column object
			to be a boxed type so that refcounting can work; don't need to
			have a destroy handler for the list store anymore; unref the
			security list store because it's handled by dialog destruction
		- (dialog_init): unref the device after getting it from the list store
		- (nma_wireless_dialog_get_connection): unref the WirelessSecurity
			object after getting it from the list store

2007-10-16  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (get_security_for_ap): ->proto is now a GSList

2007-10-16  Tambet Ingo  <tambet@gmail.com>

	* src/gconf-helpers/gconf-helpers.c (nm_gconf_read_connection): Don't pick
	connection settings by name from gconf, get everything and use an anonymous
	setting creator.

2007-10-16  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c (get_security_for_ap): Wireless security protocol is a GSList
	of strings, not a string.

2007-10-15  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
		- Remove border widths on subwidgets so they align better with the
			wireless-dialog
		- Make all labels left-aligned
		- Implement WPA-EAP widget
		- Implement EAP-TLS method widget

	* src/wireless-security/wireless-security.c
	  src/wireless-security/wireless-security.h
		- (ws_wpa_fill_default_ciphers): generic function for filling in default
			WPA ciphers

	* src/wireless-security/ws-wpa-psk.c
		- (src/wireless-security/ws-wpa-psk.c): use ws_wpa_fill_default_ciphers()

	* src/wireless-security/ws-wpa-eap.c
	  src/wireless-security/ws-wpa-eap.h
		- Implement shell WPA-EAP widget

	* src/wireless-security/Makefile.am
	  src/wireless-security/eap-method.c
	  src/wireless-security/eap-method.h
		- Implement EAP method superclass

	* src/wireless-security/eap-method-tls.c
	  src/wireless-security/eap-method-tls.h
		- Implement EAP-TLS UI bits

	* src/wireless-dialog.c
		- (security_combo_init): add WPA-EAP options; don't leak wireless
			security widgets on dialog destruction

2007-10-14  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/wireless-security.h
	  src/wireless-security/Makefile.am
	  src/wireless-security/ws-leap.c
	  src/wireless-security/ws-leap.h
	  src/wireless-dialog.c
		- Add LEAP support

2007-10-14  Dan Williams  <dcbw@redhat.com>

	* src/applet.glade
		- Fix up LEAP widget
		- Add max length constraints on some security widgets

2007-10-13  Dan Williams  <dcbw@redhat.com>

	* src/Makefile.am
	  src/sha1.h -> src/wireless-security/sha1.h
	  src/sha1.c -> src/wireless-security/sha1.c
	  src/wireless-security/ws-wpa-psk.h
	  src/wireless-security/ws-wpa-psk.c
	  src/wireless-security/wireless-security.h
	  src/wireless-security/Makefile.am
		- Add WPA-PSK passphrase and hex support

2007-10-13  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/Makefile.am
	  src/wireless-security/ws-wep-passphrase.c
	  src/wireless-security/ws-wep-passphrase.h
	  src/wirelees-security/wireless-security.h
	  src/wireless-dialog.c
		- Add WEP passphrase support

2007-10-13  Dan Williams  <dcbw@redhat.com>

	* src/utils/Makefile.am
	  src/Makefile.am
	  configure.ac
	  src/utils/utils.c
	  src/utils/utils.h
	  src/gnome-keyring-md5.c -> src/utils/gnome-keyring-md5.c
	  src/gnome-keyring-md5.h -> src/utils/gnome-keyring-md5.h
		- Move gnome-keyring-md5 stuff to a library that both the applet and
			the wireless security stuff can easily use
		- Put utils_bin2hexstr() in utils.c

	* src/wireless-security/ws-wep-key.c
	  src/wireless-security/Makefile.am
		- (fill_connection): Use utils_bin2hexstr() from src/utils/
	  
2007-10-13  Dan Williams  <dcbw@redhat.com>

	* src/wireless-security/wireless-security.c
	  src/wireless-security/wireless-security.h
	  src/wireless-security/ws-wep-key.c
	  src/wireless-security/ws-wep-key.h
	  src/wireless-security/Makefile.am
	  src/Makefile.am
	  configure.ac
		- wireless security UI bits; to be statically linked into both the
			applet and the connection editor

	* src/wireless-dialog.c
	  src/wireless-dialog.h
	  src/applet.glade
		- Implement wireless dialog using security UI bits

	* src/applet.c
		- (other_wireless_activate_cb, other_wireless_response_cb): hook
			wireless dialog up to Connect to Other Network...

2007-10-12  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (nma_schedule_warning_dialog): don't need an 'applet' argument

2007-10-12  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c: Don't hard code the property names of the libnm-glib classes,
	use the defined strings.
	(notify_ap_prop_changed_cb): Fix a typo to include the AP flags property to hash
	calculation.

2007-10-10  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.h
	  src/gconf-helpers/gconf-helpers.c
		- (nm_gconf_write_connection): add optional filter function so callers
			can choose not to write some keys

	* src/vpn-properties/nm-vpn-properties.c
		- (write_vpn_connection_to_gconf): update for changes to
			nm_gconf_write_connection()

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_changed,
		   applet_dbus_connection_settings_new,
		   applet_dbus_connection_settings_new_from_connection): fill in VPN
			setting default username
		- (applet_dbus_connection_settings_save, vpn_user_name_filter_cb): don't
			write the VPN setting's 'user_name' key to GConf since it's supposed
			to be transient

2007-10-09  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_add_networks_helper): don't calculate AP hashes in hot paths
		- (foo_device_added_cb, access_point_added_cb,
		   notify_ap_prop_changed_cb): calculate the AP hashes when NM notifies
			us of the AP, which isn't in a path that impacts UI speed

2007-10-09  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (read_one_setting_value_from_gconf): don't warn on failed reads from
			GConf (ie, where key doesn't exist)

2007-10-09  Tambet Ingo  <tambet@gmail.com>

	Now with 100% less compiler warnings!

	* src/gconf-helpers/gconf-helpers.c (read_one_setting_value_from_gconf): Remove
	a compiler warning for trying to store int value to uint variable. Add a runtime
	warning if a negative value is casted to unsigned integer.

	* src/password-dialog.c (nma_wpa_passphrase_to_hex): Cast the bssid data to char.

	* src/nm-utils.[ch]: Remove, it's part of libnm-utils.

	* src/vpn-connection-info.c: Use gconf_entry_unref() instead of deprecated
	gconf_entry_free().

	* src/menu-items.c (nm_network_menu_item_class_dispose): Remove an unused variable.

	* src/applet-dbus-settings.c: Include "vpn-password-dialog.h".
	(applet_dbus_connection_settings_new_from_connection): Remove a typo.

	* src/applet.c: Use (gtk_menu_item_remove_submenu) only for gtk+ versions lower
	than 2.12.0 and (gtk_menu_item_set_submenu) for higher versions as it is deprecated
	now.
	(show_vpn_state): Use a "default" label in switch to avoid compiler warnings.
	(nma_menu_disconnect_vpn_item_activate): Remove unused variables.
	(foo_device_state_changed_cb): Ditto.
	(ap_hash): Return unsigned char string.
	(nma_menu_device_add_access_points): Remove an unused variable.
	(get_connection_settings_for_device): Ditto.
	(notify_active_ap_changed_cb): Ditto.

	* src/vpn-properties/nm-vpn-properties.c (vpn_druid_vpn_details_page_next): Hide if
	the gtk version is at least 2.10.0.

	* src/gconf-helpers/gconf-helpers.c (copy_one_setting_value_to_gconf):
	Fix a typo: the printf string for guint64 is "%llu", not "%ull".

	* src/applet.c (nma_is_empty_ssid): Remove, use it from libnm-utils.
	(nma_escape_ssid): Ditto.
	(nm_utils_same_ssid): Ditto.

2007-10-08  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (find_duplicate, nma_add_networks_helper): when multiple wireless
			cards are in use, use the device to differentiate between duplicate
			APs in the menu.  Each card should have it's own list of APs and
			duplicates.

2007-10-08  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_setup_widgets): make the size group control both horizontal and
			vertical size so that AP items in the menu are always a consistent
			vertical size as well

2007-10-08  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (new_auto_wireless_setting, nma_menu_item_activate): split out
			creation of a new wireless, and only autoconnect by _default_ if the
			SSID is not a manufacturer default SSID like 'linksys' or 'NETGEAR'

2007-10-07  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (read_one_setting_value_from_gconf, copy_one_setting_value_to_gconf):
			save UINT64s as strings, because single-precision floats are not
			precise enough at the large values of time(2) to be used, and GConf
			doesn't do either UINT64 or double

2007-10-06  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_save): explicitly send a GConf
			notification since sometimes it seems to get lost in the GConfClient
			cache

2007-10-05  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (foo_wireless_state_change): add the BSSID of the AP NM just connected
			to to the seen-bssids list
		- (foo_device_state_changed_cb): refactor active connection search code
			into get_connection_settings_for_device()
		- (foo_device_state_changed): update active connections before
			device specific handlers
		- (add_seen_bssid): new function; add BSSID of the given AP to the
			given connection's seen-bssids list if its not in the list yet
		- (notify_active_ap_changed_cb, foo_device_added_cb): handle active
			network changes and add new AP's BSSID to the seen-bssids list

2007-10-05  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (foo_bssid_strength_changed): don't access the property directly,
			use the wrapper so that strength will get updated from D-Bus
			if needed
		- (foo_wireless_state_change): clean up periodic strength update code

2007-10-05  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_add_networks_helper): better solution to matching active AP
			with the correct menu item; also block emission of 'activate'
			signal when marking the currently active AP in the menu so that
			unintended activations don't occur

2007-10-05  Dan Williams  <dcbw@redhat.com>

	* src/menu-items.c
	  src/menu-items.h
		- (nm_network_menu_item_find_dupe, nm_network_menu_item_add_dupe): new
			functions; need to keep track of duplicates when collapsing
			APs for display in the menu so that the right menu item can be
			checked for the active AP

	* src/applet.c
		- (nma_add_networks_helper, nma_menu_device_add_access_points): store
			the active access point and check only the menu item that
			corresponds to it

2007-10-04  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (foo_device_state_changed_cb): if device is in state ACTIVATED,
			find the connection that is activated for this device and update
			it's timestamp
		- (foo_device_state_changed): don't print connection out any more
		- (foo_client_state_change): don't try to destroy an invalid hash table

2007-10-04  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.h
	  src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_save): new function; write a
			connection to GConf
		- (applet_dbus_settings_init): listen to GConf key changes for the
			entire connections directory, not each connection's own directory.
			Lets the applet get notifications when connections are removed or
			added.
		- (applet_dbus_settings_finalize): clean up GConf notifiers
		- (connections_changed_cb): handle connection additions, deletions,
			and changes
		- (applet_dbus_settings_get_by_gconf_path): new function
		- (applet_dbus_connection_settings_finalize): no longer clean up GConf
			stuff here
		- (applet_dbus_connection_settings_changed): renamed from
			connection_settings_changed_cb(), and validate the connection after
			re-reading it from GConf and return FALSE if the connection is no
			longer valid (and emit the Removed signal for the connection)
		- (applet_dbus_connection_settings_new): verify connection that was
			just read from GConf and return NULL if it's invalid
		- (applet_dbus_connection_settings_save): write an updated connection
			to GConf
		- (applet_dbus_connection_settings_new_from_connection): verify the
			connection that is passed in before using it

2007-10-03  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/menu-items.c
		- Fixups for Network -> AccessPoint changes in NM

2007-10-03  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (get_first_active_device): use active connection list now
		- (nma_menu_device_add_networks, nma_add_networks_helper): don't depend
			on only the active SSID, use the active connection to find out what
			AP should be marked in the menu
		- (clear_active_connections, foo_device_state_changed): update active
			connections when a device's state changes
		- (foo_client_state_change): clear active connections when NM goes away
		- (void nma_finalize): clear active connections on quit

2007-10-01  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.c
		- (read_one_setting_value_from_gconf, copy_one_setting_value_to_gconf):
			handle new UINT64 type, but since GConf can't do uint64, use
			floats instead
		- (nm_gconf_get_float_helper, nm_gconf_set_float_helper): new functions

2007-10-01  Dan Williams  <dcbw@redhat.com>

	Patch from Matthias Clasen <mclasen@redhat.com>  (rh #307921)

	* src/applet.c
		- (nma_status_icon_size_changed_cb): actually redraw icons when the
			applet's size changes
		- (foo_wireless_state_change, foo_wired_state_change,
		   foo_device_state_changed_cb, foo_device_state_changed,
		   foo_device_added_cb, foo_client_state_change_cb,
		   foo_client_state_change, foo_setup_client_state_handlers,
		   foo_manager_running_cb, foo_manager_running, foo_set_initial_state,
		   foo_client_setup): add a 'synthetic' argument to functions that
			emit notifications to suppress notification events that are
			generated by internal state updates (ie, on launch when reading
			initial NM state)

2007-10-01  Dan Williams  <dcbw@redhat.com>

	Patch from Stéphane Loeuillet <leroutier@gmail.com>

	* nm-applet.desktop
		- Use XDG standard autostart directory
		- Bring up to spec; remove deprecated Encoding tag; remove --sm-disable
			because it's not session-managed anymore (rh #313031)

2007-10-01  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_send_event_notification, nma_show_notification_dialog): new
			functions; notify the user of important events via either the
			notification system or a dialog box
		- (show_vpn_state): notify the user of important VPN related events
		- (vpn_connection_state_changed): handle new 'reason' argument to
			VPN connection state changes
		- (foo_client_state_change): clear the VPN state when NM goes away

	* src/Makefile.am
		- remove standalone notification bits

2007-10-01  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c (activate_device_cb): Implement a place holder which will show
	a beautiful error dialog if device activation fails.
	(nma_menu_item_activate): Use the new device activation method.

2007-10-01  Jeremy Katz  <katzj@redhat.com>

	* src/password-dialog.c, src/applet.glade:
	        - (showpasscb_toggled_cb): Hide password by default, cb to show

2007-09-30  Dan Williams  <dcbw@redhat.com>

	* src/password-dialog.c
		- Fix spacing
		- (nma_wpa_passphrase_to_hex): handle SSIDs with NULL bytes, indicate
			errors
		- (response_cb): handle errors hashing passphrase

2007-09-28  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (vpn_connection_state_changed): clean up, get rid of unused code
		- (nma_menu_vpn_item_clicked): consolidate new VPN connection code
		- (foo_client_state_change): blow away list of active VPN connections
			when NM goes away
		- (foo_add_initial_vpn_connections, foo_set_initial_state): get initial
			state of VPN connections on start too

2007-09-28  Jeremy Katz  <katzj@redhat.com>

	* src/password-dialog.c (response_cb): Fix where cancel'ing the
	password dialog would leave you unable to bring it back up (rh#311541)

	* src/applet.c (foo_client_setup): Don't show the status icon if
	NM isn't running

	* src/password-dialog.c 
	        - (update_button_cb, response_cb,
	        nma_wpa_passphrase_to_hex): Support WPA passphrases based
	        on 0.6.5 bits.
	* src/sha1.c, src/sha1.h, src/Makefile.am: Add sha1 code from 0.6.5

2007-09-28  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_vpn_item_clicked, nma_menu_disconnect_vpn_item_activate,
		   nma_menu_add_vpn_submenu): for now, preserve old behavior of only
			one active VPN connection at a time.  Will be fixed later.

2007-09-27  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (get_secrets, applet_dbus_connection_settings_get_secrets): correctly
			handle VPN secrets too

2007-09-26  Dan Williams  <dcbw@redhat.com>

	* src/vpn-password-dialog.c
	  src/vpn-password-dialog.h
	  src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_get_secrets): call out to the VPN
			password dialog helper bits

2007-09-25  Dan Williams  <dcbw@redhat.com>

	* src/menu-items.c
		- (wired_menu_item_new): Dim wired items based on carrier state

2007-09-25  Dan Williams  <dcbw@redhat.com>

	* src/vpn-properties/nm-vpn-properties.c
		- Fix various errors and warnings

2007-09-25  Dan Williams  <dcbw@redhat.com>

	* src/password-dialog.c
		- (response_cb): use nm_settings_new_error() to create error messages

	* src/applet-dbus-settings.c
		- (new_error): remove
		- (applet_dbus_connection_settings_get_secrets): use
			nm_settings_new_error() to create error messages

2007-09-25  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_get_secrets): handle new 'request_new'
			parameter by asking the user for new secrets explicitly rather than
			pulling from the keyring

2007-09-24  Matthias Clasen  <mclasen@redhat.com>

	* src/applet.c (nma_menu_create): Update the icon after setting
	the icon size.

2007-09-23  Dan Williams  <dcbw@redhat.com>

	* src/vpn-properties/Makefile.am
	  src/vpn-properties/nm-vpn-properties.c
	  src/vpn-properties/nm-vpn-ui-interface.h
		- Rework the VPN UI module interface so it's based on NMConnections
			rather than a bunch of random things.  Clean up the properties
			program code a bunch and use the GConf helpers common code
			for GConf stuff

2007-09-23  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.h
	  src/gconf-helpers/gconf-helpers.c
	  src/applet-dbus-settings.c
		- (nm_gconf_write_connection): new function; move code that writes an
			NMConnection to GConf into the GConf helpers common code

2007-09-21  Dan Williams  <dcbw@redhat.com>

	* src/password-dialog.c
		- (update_button_cb): fix key length for 40-bit WEP

2007-09-20  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (foo_bssid_strength_changed, foo_wireless_state_change): use GObject
			property notification to get strength updates

2007-09-20  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_item_activate): ensure wireless security is found; use the
			type-specific connection name rather than just "Auto"

2007-09-20  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (add_ciphers_from_flags, get_security_for_ap, nma_menu_item_activate):
			autogenerate acceptable security parameters from AP information when
			a wireless network is clicked and no compatible connection has been
			defined yet

2007-09-20  Dan Williams  <dcbw@redhat.com>

	* src/password-dialog.c
	  src/password-dialog.h
	  src/applet-dbus-settings.c
	  src/applet.glade
	  src/Makefile.am
		- Add a simple WEP/WPA-PSK password dialog for now
		- Remove cruft from applet glade file

2007-09-20  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_get_secrets): make asynchronous to
			match libnm-glib API change

2007-09-20  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- (connection_settings_changed_cb, applet_dbus_connection_settings_new):
			ensure 'id' is updated
		- (applet_dbus_connection_settings_get_connection): new function

	* src/applet.c
		- (nm_utils_same_ssid, match_cipher, security_compatible,
		   nm_ap_check_compatible): gross C&P from NM to find compatible connection
		- (nma_menu_item_activate): find an existing connection to activate
			if we can
		- (nma_add_networks_helper, get_vpn_connections): warning fixes

2007-09-20  Tambet Ingo  <tambet@gmail.com>

	* src/connection-editor/nm-connection-editor.c: Use defined setting names.

	* src/connection-editor/nm-connection-list.c (nm_connection_list_finalize):
	Don't leak GConfClient.
	(load_connections): No need to use weak references, just use 
	(g_object_set_data_full).

	* src/gconf-helpers/gconf-helpers.c (property_value_destroy): Implement.
	(add_property): Implement.
	(read_one_setting_value_from_gconf): Use variable names that actually exist.
	(nm_gconf_read_connection): Ditto.

	* src/applet.c (nma_menu_item_activate): s/devtype/type/.
	(nma_menu_vpn_item_clicked): Use the new VPN activation API.
	(get_vpn_connections): Implement it. AppletDbusConnectionSettings is _SO_
	painful to work with.
	(nma_menu_add_vpn_submenu): Don't use deprecated vpn-connection-info anymore.

	* src/applet-dbus-settings.c (applet_dbus_settings_list_connections): Implement.
	(copy_one_setting_value_to_gconf): Fix some typos. Handle NM_S_TYPE_GVALUE_HASH.

	* src/gconf-helpers/gconf-helpers.c (nm_gconf_get_valuehash_helper): Implement.
	(nm_gconf_set_valuehash_helper): Implement.
	(read_one_setting_value_from_gconf): Handle NM_S_TYPE_GVALUE_HASH.
	(nm_gconf_read_connection): Read VPN data.

2007-09-20  Dan Williams <dcbw@redhat.com>

	* src/connection-editor/nm-connection-editor.glade
		- Remove PPP tab
		- Change SSID to a text field for now

2007-09-20  Dan Williams <dcbw@redhat.com>

	* src/connection-editor/nm-connection-list.c
		- (edit_connection_cb): correctly pull the NMConnection out of the
			tree view selection
		- (load_connections): keep track of the GConf path of the connection
			so that it's easier to update it later if it gets changed underneath
			the connection editor
		- (list_selection_changed_cb, nm_connection_list_init): button
			sensitivity should track selection

2007-09-20  Dan Williams <dcbw@redhat.com>

	* src/gconf-helpers/gconf-helpers.h
	  src/gconf-helpers/gconf-helpers.c
	  src/gconf-helpers/Makefile.am
	  src/connection-editor/Makefile.am
	  src/Makefile.am
	  configure.ac
		- Move gconf helpers into their own directory and make them a libtool
			library so that both the applet and the connection tool can use them
		- (nm_gconf_read_connection): new function, move bits from
			applet-dbus-settings.c that parse NMConnections from GConf

	* src/connection-editor/nm-connection-list.c
	  src/connection-editor/nm-connection-list.h
		- (hash_add_connection_to_list): ensure list is terminated when adding
			connection to list store
		- (load_connections): new function; read connection from GConf
		- (nm_connection_list_init): call load_connections(), add a cell renderer
			to the tree view widget so that connections are displayed in the list

	* src/applet-dbus-settings.c
		- (read_one_setting_value_from_gconf, read_connection_from_gconf): move
			to gconf-helpers/gconf-helpers.c
		- (connection_settings_changed_cb, applet_dbus_connection_settings_new):
			use gconf-helpers implementations for reading connection from GConf

2007-09-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/connection-editor/Makefile.am: install Glade file in the same
	directory used by the applet.

2007-09-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/applet.c (nma_context_menu_create): added 'Edit Connections...'
	item to the context menu.
	(nma_edit_connections_cb): added callback for the menu item.

	* src/Makefile.am: added really connection-editor to the build and
	added connection editor "widgets" to the applet's SOURCES.

	* src/connection-editor/nm-connection-editor.glade: fixed typo.

	* src/connection-editor/nm-connection-editor.[ch]:
	(nm_connection_editor_show, nm_connection_editor_run_and_close): new
	functions to make it easier to manage the underlying dialog (maybe this
	should be a GtkDialog-based class?)
	(nm_connection_editor_init): keep a reference to the dialog also.
	(nm_connection_editor_finalize): destroy the dialog.
	(dialog_response_cb): don't exit the main loop, just hide the dialog.

	* src/connection-editor/nm-connection-list.[ch]:
	(edit_connection_cb): fixed call to gtk_tree_view_get_selected_rows().
	(nm_connection_list_show, nm_connection_list_run_and_close,
	nm_connection_list_init, nm_connection_list_finalize, dialog_response_cb):
	same as in nm-connection-editor.[ch].

	* src/connection-editor/main.c (main): added missing argument to
	nm_connection_editor_new().

2007-09-19  Dan Williams <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_item_activate, nma_menu_add_create_network_item,
		   ap_hash, nma_add_networks_helper, sort_wireless_networks,
		   nma_menu_device_add_networks, foo_bssid_strength_changed,
		   foo_wireless_state_change): adapt for changes to libnm-glib, SSID
			must not be freed

2007-09-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/connection-editor/nm-connection-editor.h: added flags for pages.
	
	* src/connection-editor/nm-connection-editor.c
	(nm_connection_editor_set_connection): use g_object_unref for
	destroying the NMConnection.
	(nm_connection_editor_new): added flags argument.

	* src/connection-editor/nm-connection-list.[ch]:
	* src/connection-editor/nm-connection-editor.glade: added connection
	list dialog.
	
2007-09-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/connection-editor.c: fixed compilation warnings.
	(wireless_*_changed): added missing callbacks for wireless options.

2007-09-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/connection-editor: new connection editor.

	* configure.ac: added connection editor to the build.

2007-09-16  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (read_connection_from_gconf, copy_connection_to_gconf): use new
			NMSettings value enumeration functions from libnm-util to
			simplify read/write of settings from GConf

2007-09-14  Dan Williams  <dcbw@redhat.com>

	* configure.ac
	  src/Makefile.am
	  src/applet-compat.c
	  src/applet-compat.h
	  src/applet.c
	  src/applet.h
		- Handle removal of unused stuff from libnm-util

2007-09-14  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_new_from_connection,
		   applet_dbus_connection_settings_get_id,
		   applet_dbus_connection_settings_get_settings,
		   applet_dbus_connection_settings_get_secrets): a bit of extra
			validation of NMConnection objects

2007-09-14  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (copy_connection_to_gconf): handle lack of an 802-11-wireless-security
			setting; open networks don't need one

2007-09-14  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (read_connection_from_gconf): use the right gconf key

2007-09-14  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_init): don't create a new NMConnection
			that's just going to get thrown away immediately anyway

2007-09-14  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_settings_add_connection): send out NewConnection signal
			when adding a new connection

2007-09-14  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (foo_set_icon): don't redraw the applet icon if nothing has actually
			changed

2007-09-14  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_item_activate): set the SSID of the new connection so that
			it's actually valid; don't unref the new connection since the
			AppletDBusConnectionSettings object takes ownership of it

2007-09-13  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (nma_menu_item_activate): fix for changes to nm_device_activate() in
			libnm-glib to pass connection object path rather than NMConnection
			object
		- (nma_finalize, nma_constructor): stop monitoring old GConf path for
			changes

	* src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- (applet_dbus_settings_get_by_dbus_path): new function
		- (applet_dbus_settings_add_connection): new function; add an
			NMConnection to GConf and wrap and export it over D-Bus
		- (read_connection_from_gconf): fix gconf setting name
		- (add_keyring_item): new function; add a secret to the keyring
		- (copy_connection_to_gconf): new function; copy an NMConnection object
			to GConf and the keyring
		- (applet_dbus_connection_settings_new_from_connection): new function;
			create a new NMConnection D-Bus export wrapper from an NMConnection
			object

2007-09-13  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers.c
	  src/gconf-helpers.h
		- (nm_gconf_set_int_helper, nm_gconf_set_string_helper, 
		   nm_gconf_set_bool_helper, nm_gconf_set_stringlist_helper,
		   nm_gconf_set_bytearray_helper): new functions

2007-09-12  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c: Rewrite the VPN connection handling now that everything
	underneath has changed.

	* src/vpn-properties/nm-vpn-ui-interface.h: Convert properties to hash tables
	eveyrwhere.

	* src/vpn-properties/nm-vpn-properties.c: Create properties hash tables instead
	of GSLists.

	* src/vpn-password-dialog.c: Passwords are now dictionary items. Use odd strings
	from the helper output as keys, even keys for values.

	* src/vpn-connection-info.[ch]: Implement.

2007-09-11  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
		- (applet_dbus_connection_settings_get_secrets): fix it; need to
			specify the keyring items in a lot more detail now, using the
			connection name, the setting name, and the setting key for each
			secret

2007-09-11  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_item_activate): Fix up device activation for changes
			in argument types for Activate

2007-09-09  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- Clean up applet widget creation and finalization

2007-09-06  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- Random cleanups; dropdown_menu -> menu, clean up usage of
			nma_menu_clear(), kill nma_dropdown_menu_populate(), fix
			menu destruction to ensure we don't leak widgets

2007-09-06  Dan Williams  <dcbw@redhat.com>

	* src/menu-items.c
	  src/menu-items.h
		- (nm_network_menu_item_init): keep track of the hbox so it can be
			destroyed when necessary
		- (nm_network_menu_item_class_dispose, nm_network_menu_item_class_init):
			dispose of subwidgets as necessary; dispose of hash if needed

2007-09-02  Dan Williams  <dcbw@redhat.com>

	* src/applet-dbus-settings.c
	  src/applet-dbus-settings.h
		- Update user settings daemon D-Bus defines now that it's in
			NetworkManager.h
		- s/applet_connection->settings/applet_connection->connection/g since
			that's what it really is
		- Update for change of NMConnection to GObject subclass
		- (read_connection_from_gconf): clear ->id before trying to get the
			value again so that nm_gconf_get_string_helper() doesn't complain

	* src/applet.c
		- Update for change of NMConnection to GObject subclass

	* src/applet-dbus-manager.c
	  src/applet.h
		- Update user settings daemon D-Bus defines now that it's in
			NetworkManager.h

2007-08-30  Dan Williams  <dcbw@redhat.com>

	Patch from Jani Monoses <jani@ubuntu.com>

	* src/vpn-properties/clipboard.c
	  src/vpn-properties/nm-vpn-properties.glade
	  src/vpn-properties/nm-vpn-properties.c
		- Use GtkAssistant instead of GnomeDruid on GTK+ >= 2.10
		    (gnome.org #470554)

2007-08-30  Dan Williams  <dcbw@redhat.com>

	Patch from Jani Monoses <jani@ubuntu.com>

	* src/applet.c
		- (about_dialog_activate_link_cb): don't use gnome_url_open()
		(gnome.org #460671)

2007-08-30  Dan Williams  <dcbw@redhat.com>

	Patch from Jani Monoses <jani@ubuntu.com>

	* nm-applet.desktop
		- show in XFCE too (gnome.org #471608)

2007-08-29  Dan Williams  <dcbw@redhat.com>

	* nm-applet.conf
		- New D-Bus service name

	* src/applet-marshal.list
	  src/applet-marshal-main.c
	  src/applet-dbus-manager.c
	  src/applet-dbus-manager.h
	  src/applet.h
	  src/applet.c
	  src/Makefile.am
	  configure.ac
		- Move most D-Bus housekeeping over to the D-Bus manager rather
		than a lot of hardcoded junk in applet-dbus.c and applet-dbus-info.c

	* src/nm-utils.c
	  src/nm-utils.h
		- Remove functions that are no longer used

	* src/applet-dbus-info.c
	  src/applet-dbus-info.h
	  src/applet-dbus.c
	  src/applet-dbus.h
		- Remove, no longer used; some bits need to be replaced by Tambet's new
		VPN interface stuff

	* src/applet-dbus-settings.c
		- Hook up the new NMConnection/NMSettings stuff to D-Bus

	* src/menu-items.c
		- Remove no longer relevant bits

2007-08-29  Dan Williams  <dcbw@redhat.com>

	* src/gconf-helpers.c
		- (nm_gconf_get_bytearray_helper): make it really a byte array.  Code
			was previously appending ints, leading to 3 zero elements for each
			actual data element

2007-08-29  Dan Williams  <dcbw@redhat.com>

	Remove anything related to wireless-security-options, to be replaced
	by NMSettings/NMConnectionSettings.

2007-08-29  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/other-network-dialog.c
	  src/menu-items.c
		- Adjust for new AP flags

2007-08-22  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (ap_hash): fix missing return value, cleanups
		- (nma_add_networks_helper): don't try to free uninitialized memory
			if the ssid was NULL, don't try to free a NULL ssid
		- (foo_bssid_strength_changed): don't try to free a NULL ssid
		- (foo_wireless_state_change): handle NULLs better

2007-08-22  Dan Williams  <dcbw@redhat.com>

	* src/menu-items.c
	  src/menu-items.h
		- Make NMNetworkMenuItem a GtkCheckMenuItem subclass, not a random structure
			that contains all the widgets
		- Make the NMNetworkMenuItem accessors sane (split them out for SSID,
			strength, and detail instead a gigantic update() procedure)

	* src/applet.c
		- Use new NMNetworkMenuItem object
		- (nma_dropdown_menu_clear): remove children from the menu rather than
			destroying them directly
		- (sort_wireless_networks): ensure both SSIDs are valid before trying
			to access their contents
		- (nma_add_networks_helper): check for an existing menu item that
			represents this AP, based on a hash of certain AP properties.  If
			found, use that item instead of adding a new item.
		- (ap_hash): hash certain AP properties to combine BSSIDs into one menu
			item when needed

2007-08-21  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (sort_wireless_networks): fix various errors; ensure 0 is returned on
			when the two APs are equal, and don't use string comparisons because
			SSIDs can have embedded nulls as they are byte arrays, not strings

2007-08-20  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (sort_wireless_networks): new function
		- (nma_menu_device_add_networks): sort networks

2007-08-17  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
	  src/applet.h
		- (foo_update_icon, foo_set_icon, nma_finalize, nma_icons_free,
		   nma_icons_load_from_disk): use an array with slots instead of a
			list for the icon layers.  fixes races between link and VPN icon
			layers depending on which one gets set first

2007-08-15  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (foo_set_icon): add note that this is broken when VPN connection
			icon is set before main icon.  Layering here is buggy.
		- (foo_client_state_change): force an icon update of the VPN layer
			when updating the main icon
		- (foo_manager_running): remove incorrect comment

2007-08-14  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- Handle NM_VPN_STATE_* -> NM_VPN_SERVICE_STATE_* and NMVPNState -> 
			NMVPNServiceState renames
		- Handle NM_VPN_ACT_STAGE_* -> NM_VPN_CONNECTION_STATE_* and
			NMVPNActStage -> NMVPNConnectionState renames

2007-08-13  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_menu_add_vpn_menu): sort VPN connections

2007-08-13  Dan Williams  <dcbw@redhat.com>

	Patch from Michael Biebl <biebl@debian.org>

	* po/POTFILES.in
		- Update for vpn-properties move

2007-08-13  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_get_first_active_vpn_connection,
		   nma_menu_disconnect_vpn_item_activate,
		   nma_menu_add_vpn_menu): list returned from
			nm_client_get_vpn_connections() needs to be freed now
		- (foo_manager_running): set applet & vpn state to UNKNOWN when NM
			goes away

2007-08-13  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_add_networks_helper): don't show non-SSID-broadcasting APs
			in the menu

2007-08-13  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c (nma_menu_device_add_networks): Fix an invalid free
	which happened in case there's no active ssid.
	(sort_devices): Implement.
	(nma_menu_add_devices): Sort the devices before adding them to the menu.

2007-08-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/gconf-helpers.c:
	* src/applet-dbus-settings.c: fixed some compilation problems.

2007-08-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* src/applet.h: added new GConf path for connection settings.

	* src/gconf-helpers.[ch] (nm_gconf_get_stringlist_helper,
	nm_gconf_get_bytearray_helper): new helper functions.

	* src/applet-dbus-settings.[ch]: added implementation of the new
	configuration interface for the GConf-based applet.

	* src/Makefile.am: added new files.

2007-08-13  Tambet Ingo  <tambet@gmail.com>

	* configure.ac: libnm-glib just got renamed to libnm_glib.
	Add src/vpn-properties/Makefile to AC_OUTPUT.

	* src/Makefile.am: Add vpn-properties to SUBDIRS.

	* src/vpn-properties/*: Move it here from NetworkManager.

2007-08-09  Tambet Ingo  <tambet@gmail.com>

	* src/applet.c (foo_wireless_state_change): Fix a memory corruption.
	

2007-07-26  Dan Williams  <dcbw@redhat.com>

	Patch from Claudio Saavedra <csaavedra@alumnos.utalca.cl>

	* src/other-network-dialog.c
		- Fix critical warning; gtk_widget_destroy already destroys the
			wireless adapter TreeModel (#438441)

2007-07-26  Dan Williams  <dcbw@redhat.com>

	Patch from Jani Monoses <jani@ubuntu.com>

	* src/main.c
		- Kill usage of GnomeClient (#436832)

2007-07-26  Dan Williams  <dcbw@redhat.com>

	Patch from Jani Monoses <jani@ubuntu.com>

	* src/applet.c
	  src/other-network-dialog.c
	  src/menu-items.c
	  configure.ac
		- Remove bits for GTK < 2.6 (#436832)

2007-06-27  Dan Williams  <dcbw@redhat.com>

	* Make SSIDs GByteArrays everywhere
	* Rename "essid" -> "ssid" everywhere that's appropriate

2007-06-22  Tambet Ingo  <tambet@ximian.com>

	* src/applet.c (nma_add_networks_helper): Fix a typo that caused crashes.

2007-06-21  Tambet Ingo  <tambet@ximian.com>

	* src/applet-dbus-info.c (nmi_dbus_get_key_for_network): Move the passphrase
	dialog creation to another function that is called from the main loop so that
	the "getKeyForNetwork" dbus call can return before the dialog asks a bunch of
	information over dbus.

2207-06-14  Christopher Aillon  <caillon@redhat.com>

	* src/applet.glade: (passphrase_required)
	Connect to a network, not log in.  (#372154)

2007-06-13  Tambet Ingo  <tambet@ximian.com>

	* src/applet.c (nma_menu_item_activate): Fix the NMSettingWireless
	creation.

2007-05-07  Tambet Ingo  <tambet@ximian.com>

	* src/applet.c (nma_menu_item_activate): Create and use a NMConnection
	for device activation.

2007-03-28  Tambet Ingo  <tambet@ximian.com>

	* src/applet-dbus-info.c (nmi_dbus_get_key_for_network): Fix a typo: we do
	want the device to be a wireless device.

2007-03-26  Tambet Ingo  <tambet@ximian.com>

	Fix VPN.
	Clean up a lot of old non-working dbus calls and data structures and replace
	them with what libnm-glib provides.

	* src/applet-dbus-devices.c
	* src/applet-dbus-devices.h
	* src/applet-dbus-vpn.c
	* src/applet-dbus-vpn.h
	* src/wireless-network.c
	* src/wireless-network.h
	* src/nm-device.c
	* src/nm-device.h
	* src/vpn-connection.c
	* src/vpn-connection.h

	Remove. All of these are provided by libnm-glib now.

2007-03-16  Tambet Ingo  <tambet@ximian.com>

	First stab at converting the applet over to libnm-glib instead of using
	the low-level DBUS API (which is removed from NM by now). Since libnm-glib
	emits signals for all "interesting" state changes in NM, we don't have to
	poll for any changes in the applet and can sleep and do nothing if there
	are no events (either from X or libnm-glib).

	The current status should be that the status icon should show the correct
	icon which reflects the NM state, right-click menu should work 100%, and
	the left click menu (devices) should show the correct information. Device
	activation should work only for wired devices. VPN doesn't work at all.
	And there's a bunch of warnings on the console.

	* configure.ac: Put all PKG-CONFIG checks in one check so that it can
	remove duplicate CFLAGS, LDFLAGS and libraries to link.

2007-02-19  Dan Williams  <dcbw@redhat.com>

	Patch from Andreas Hanke <andreas.hanke@gmx-topmail.de>

	* configure.ac
		- Remove unused bits that calculate EXPANDED_BINDIR and
			DBUS_SYSTEMD_DIR (gnome.org #409322)

2007-02-18  Dan Williams  <dcbw@redhat.com>

	Patch from Christian Persch <chpe@gnome.org>
	* src/Makefile.am
		- Don't build libegg sources when using GtkStatusIcon

2007-02-16  Dan Williams  <dcbw@redhat.com>

	* src/applet.c
		- (nma_about_cb): update copyright dates in about dialog

2007-02-16  Dan Williams  <dcbw@redhat.com>

	Patch from Luca Ferretti

	* src/applet.c
		- (nma_constructor): remove glade_gnome_init, as it is deprecated
			(Gnome.org #402468)

2007-02-08  Dan Williams  <dcbw@redhat.com>

    Patch from Chris Aillon <caillon@redhat.com>

    * src/applet-compat.c
        - (convert_one_entry): Don't attempt to pass empty ESSID paths to GConf
            (RH #216502)

***** import from NetworkManager module *****
